GNU bug report logs - #37331
27.0.50; segfault when starting from pdump and using dbus

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Leonard Lausen <leonard@HIDDEN>; dated Sat, 7 Sep 2019 15:50:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37331 <at> debbugs.gnu.org:


Received: (at 37331) by debbugs.gnu.org; 14 Sep 2019 20:12:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 14 16:12:38 2019
Received: from localhost ([127.0.0.1]:47173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9EPO-0001tx-7y
	for submit <at> debbugs.gnu.org; Sat, 14 Sep 2019 16:12:38 -0400
Received: from devico.uberspace.de ([185.26.156.185]:41922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leonard@HIDDEN>) id 1i9EPM-0001tp-Sc
 for 37331 <at> debbugs.gnu.org; Sat, 14 Sep 2019 16:12:37 -0400
Received: (qmail 7202 invoked from network); 14 Sep 2019 20:12:34 -0000
Received: from unknown (HELO localhost) (2.247.248.189)
 by devico.uberspace.de with SMTP; 14 Sep 2019 20:12:34 -0000
From: Leonard Lausen <leonard@HIDDEN>
To: 37331 <at> debbugs.gnu.org
Subject: Re: 27.0.50; segfault when starting from pdump and using dbus
In-Reply-To: <f3f56836-ea7f-5bf8-2d43-e24b910e9d45@HIDDEN>
References: <b4b7587f-2898-8223-412f-a8ed270e6ff9@HIDDEN>
 <87blvo8s4l.fsf@HIDDEN>
 <f3f56836-ea7f-5bf8-2d43-e24b910e9d45@HIDDEN>
Date: Sat, 14 Sep 2019 20:12:31 +0000
Message-ID: <87tv9ehc28.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37331
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Content of $HOME/debug-init.el

  (require 'dbus)

Dump

  emacs --batch -Q -l $HOME/debug-init.el -eval '(dump-emacs-portable "/tmp/dmp")

Load

  emacs -Q -l $HOME/debug-init.el --dump-file=/tmp/dmp

Execute

  (require 'dbus)
  (dbus-get-unique-name :system)

Error

  Debugger entered--Lisp error: (dbus-error "No connection to bus" :system)
    dbus-get-unique-name(:system)
    (progn (dbus-get-unique-name :system))
    eval((progn (dbus-get-unique-name :system)) t)
    elisp--eval-last-sexp(nil)
    eval-last-sexp(nil)
    funcall-interactively(eval-last-sexp nil)
    call-interactively(eval-last-sexp nil nil)
    command-execute(eval-last-sexp)


Note that if you execute

  (require 'dbus)
  (dbus-get-unique-name :system)

in a normal (not loaded from pdump) session, the unique name is
correctly returned.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37331; Package emacs. Full text available.

Message received at 37331 <at> debbugs.gnu.org:


Received: (at 37331) by debbugs.gnu.org; 13 Sep 2019 18:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 13 14:55:18 2019
Received: from localhost ([127.0.0.1]:45598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i8qiz-0000Bf-O9
	for submit <at> debbugs.gnu.org; Fri, 13 Sep 2019 14:55:17 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:36886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i8qiy-0000BK-51
 for 37331 <at> debbugs.gnu.org; Fri, 13 Sep 2019 14:55:16 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id C0E0A1601EE;
 Fri, 13 Sep 2019 11:55:10 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 1rry16NX1cRh; Fri, 13 Sep 2019 11:55:10 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 1A0DA1604E7;
 Fri, 13 Sep 2019 11:55:10 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id wC2FLwBPr2FX; Fri, 13 Sep 2019 11:55:10 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id F208D1601EE;
 Fri, 13 Sep 2019 11:55:09 -0700 (PDT)
Subject: Re: 27.0.50; segfault when starting from pdump and using dbus
To: Leonard Lausen <leonard@HIDDEN>
References: <b4b7587f-2898-8223-412f-a8ed270e6ff9@HIDDEN>
 <87blvo8s4l.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <f3f56836-ea7f-5bf8-2d43-e24b910e9d45@HIDDEN>
Date: Fri, 13 Sep 2019 11:55:09 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
In-Reply-To: <87blvo8s4l.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37331
Cc: 37331 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 9/13/19 2:25 AM, Leonard Lausen wrote:
> Unfortunately there seems to be an issue with dbus sessions....
> Would you like me to prepare a minimal reproducible example? Should I
> open a new bug?

A small, self-contained example would help, yes. Please follow up to 
Bug#37331, which I've reopened.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37331; Package emacs. Full text available.
bug No longer marked as fixed in versions 27.0.50 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 37331-done <at> debbugs.gnu.org:


Received: (at 37331-done) by debbugs.gnu.org; 13 Sep 2019 09:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 13 05:25:56 2019
Received: from localhost ([127.0.0.1]:44373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i8hpz-0006NN-SA
	for submit <at> debbugs.gnu.org; Fri, 13 Sep 2019 05:25:56 -0400
Received: from devico.uberspace.de ([185.26.156.185]:50148)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leonard@HIDDEN>) id 1i8hpx-0006NB-LR
 for 37331-done <at> debbugs.gnu.org; Fri, 13 Sep 2019 05:25:54 -0400
Received: (qmail 19892 invoked from network); 13 Sep 2019 09:25:50 -0000
Received: from unknown (HELO localhost) (84.58.206.209)
 by devico.uberspace.de with SMTP; 13 Sep 2019 09:25:50 -0000
From: Leonard Lausen <leonard@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: 27.0.50; segfault when starting from pdump and using dbus
In-Reply-To: <b4b7587f-2898-8223-412f-a8ed270e6ff9@HIDDEN>
References: <b4b7587f-2898-8223-412f-a8ed270e6ff9@HIDDEN>
Date: Fri, 13 Sep 2019 09:25:46 +0000
Message-ID: <87blvo8s4l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37331-done
Cc: , 37331-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thank you for looking into the problem! Your fix indeed prevents the
crash. Unfortunately there seems to be an issue with dbus sessions. For
exmaple, notmuch-search from notmuch.el or
fcitx--prefix-keys-polling-function error out with

  (dbus-error "No connection to bus" :session)

when loading a pdumped session.

Would you like me to prepare a minimal reproducible example? Should I
open a new bug? Above report is based on the emacs config at
https://github.com/leezu/dotfiles/tree/master/emacs which uses
spacemacs.

Best regards
Leonard

Paul Eggert <eggert@HIDDEN> writes:

> Thanks for reporting the problem. I reproduced it and installed the attached 
> patch, which should fix it.
> From cc4da5b17e9e9aa522a0bd77dc341cd14ec9ea43 Mon Sep 17 00:00:00 2001
> From: Paul Eggert <eggert@HIDDEN>
> Date: Wed, 11 Sep 2019 10:19:07 -0700
> Subject: [PATCH] Reset dbus registered buses on dump load
>
> Problem reported by Leonard Lausen (Bug#37331).
> * src/dbusbind.c: Include pdumper.h.
> (syms_of_dbusbind_for_pdumper):
> New function, to reset the registered buses.
> (syms_of_dbusbind): Use it, fixing a TODO.
> ---
>  src/dbusbind.c | 12 ++++++++----
>  1 file changed, 8 insertions(+), 4 deletions(-)
>
> diff --git a/src/dbusbind.c b/src/dbusbind.c
> index 7f4c8717f4..de67dc94f9 100644
> --- a/src/dbusbind.c
> +++ b/src/dbusbind.c
> @@ -26,6 +26,7 @@
>  #include "lisp.h"
>  #include "termhooks.h"
>  #include "keyboard.h"
> +#include "pdumper.h"
>  #include "process.h"
>  
>  #ifndef DBUS_NUM_MESSAGE_TYPES
> @@ -1681,6 +1682,12 @@ init_dbusbind (void)
>    xputenv ("DBUS_FATAL_WARNINGS=0");
>  }
>  
> +static void
> +syms_of_dbusbind_for_pdumper (void)
> +{
> +  xd_registered_buses = Qnil;
> +}
> +
>  void
>  syms_of_dbusbind (void)
>  {
> @@ -1829,13 +1836,10 @@ syms_of_dbusbind (void)
>  #endif
>  
>    /* Initialize internal objects.  */
> -  xd_registered_buses = Qnil;
> +  pdumper_do_now_and_after_load (syms_of_dbusbind_for_pdumper);
>    staticpro (&xd_registered_buses);
>  
> -  // TODO: reset buses on dump load
> -
>    Fprovide (intern_c_string ("dbusbind"), Qnil);
> -
>  }
>  
>  #endif /* HAVE_DBUS */
> -- 
> 2.17.1




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37331; Package emacs. Full text available.

Message received at 37331-done <at> debbugs.gnu.org:


Received: (at 37331-done) by debbugs.gnu.org; 11 Sep 2019 17:21:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 11 13:21:49 2019
Received: from localhost ([127.0.0.1]:42702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i86JR-0003Em-5d
	for submit <at> debbugs.gnu.org; Wed, 11 Sep 2019 13:21:49 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:46180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1i86JO-0003EZ-IE
 for 37331-done <at> debbugs.gnu.org; Wed, 11 Sep 2019 13:21:47 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7B4761601EE;
 Wed, 11 Sep 2019 10:21:40 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id n0c7sYfXDdli; Wed, 11 Sep 2019 10:21:39 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B369116021D;
 Wed, 11 Sep 2019 10:21:39 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id CTzkUtDIQOHl; Wed, 11 Sep 2019 10:21:39 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 8C2001601EE;
 Wed, 11 Sep 2019 10:21:39 -0700 (PDT)
To: Leonard Lausen <leonard@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: 27.0.50; segfault when starting from pdump and using dbus
Organization: UCLA Computer Science Department
Message-ID: <b4b7587f-2898-8223-412f-a8ed270e6ff9@HIDDEN>
Date: Wed, 11 Sep 2019 10:21:39 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------6CEF08ACDE0405D75F1BD00C"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37331-done
Cc: 37331-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------6CEF08ACDE0405D75F1BD00C
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Thanks for reporting the problem. I reproduced it and installed the attached 
patch, which should fix it.

--------------6CEF08ACDE0405D75F1BD00C
Content-Type: text/x-patch;
 name="0001-Reset-dbus-registered-buses-on-dump-load.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-Reset-dbus-registered-buses-on-dump-load.patch"

From cc4da5b17e9e9aa522a0bd77dc341cd14ec9ea43 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Wed, 11 Sep 2019 10:19:07 -0700
Subject: [PATCH] Reset dbus registered buses on dump load

Problem reported by Leonard Lausen (Bug#37331).
* src/dbusbind.c: Include pdumper.h.
(syms_of_dbusbind_for_pdumper):
New function, to reset the registered buses.
(syms_of_dbusbind): Use it, fixing a TODO.
---
 src/dbusbind.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/src/dbusbind.c b/src/dbusbind.c
index 7f4c8717f4..de67dc94f9 100644
--- a/src/dbusbind.c
+++ b/src/dbusbind.c
@@ -26,6 +26,7 @@
 #include "lisp.h"
 #include "termhooks.h"
 #include "keyboard.h"
+#include "pdumper.h"
 #include "process.h"
 
 #ifndef DBUS_NUM_MESSAGE_TYPES
@@ -1681,6 +1682,12 @@ init_dbusbind (void)
   xputenv ("DBUS_FATAL_WARNINGS=0");
 }
 
+static void
+syms_of_dbusbind_for_pdumper (void)
+{
+  xd_registered_buses = Qnil;
+}
+
 void
 syms_of_dbusbind (void)
 {
@@ -1829,13 +1836,10 @@ syms_of_dbusbind (void)
 #endif
 
   /* Initialize internal objects.  */
-  xd_registered_buses = Qnil;
+  pdumper_do_now_and_after_load (syms_of_dbusbind_for_pdumper);
   staticpro (&xd_registered_buses);
 
-  // TODO: reset buses on dump load
-
   Fprovide (intern_c_string ("dbusbind"), Qnil);
-
 }
 
 #endif /* HAVE_DBUS */
-- 
2.17.1


--------------6CEF08ACDE0405D75F1BD00C--




Notification sent to Leonard Lausen <leonard@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Sep 2019 15:49:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 11:49:13 2019
Received: from localhost ([127.0.0.1]:38017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i6cxb-00047h-DZ
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2019 11:49:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:48236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leonard@HIDDEN>) id 1i6cxY-00047Y-4N
 for submit <at> debbugs.gnu.org; Sat, 07 Sep 2019 11:49:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49040)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <leonard@HIDDEN>) id 1i6cxQ-0004wC-Da
 for bug-gnu-emacs@HIDDEN; Sat, 07 Sep 2019 11:49:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leonard@HIDDEN>) id 1i6cxJ-0008UG-Gd
 for bug-gnu-emacs@HIDDEN; Sat, 07 Sep 2019 11:49:00 -0400
Received: from devico.uberspace.de ([185.26.156.185]:52858)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leonard@HIDDEN>) id 1i6cxI-0008ML-RL
 for bug-gnu-emacs@HIDDEN; Sat, 07 Sep 2019 11:48:53 -0400
Received: (qmail 11490 invoked from network); 7 Sep 2019 15:48:44 -0000
Received: from unknown (HELO localhost) (77.190.132.7)
 by devico.uberspace.de with SMTP; 7 Sep 2019 15:48:44 -0000
From: Leonard Lausen <leonard@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; segfault when starting from pdump and using dbus
Date: Sat, 07 Sep 2019 15:48:41 +0000
Message-ID: <87zhjg150m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 185.26.156.185
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Trying out the pdump feature I noticed that it consistently segfaults on
my Gentoo machine when dbus was used prior to dumping as soon as dbus is
used in the emacs session created from the pdump. This did not happen on
a Ubuntu 18.04 or Debian Buster machine.

The bug can be reproduced by preparing a
% cat debug-init.el                                                                                                                                                            ~
(require 'dbus)
(message
        "%s screensaver on board."
        (cond
                ((dbus-ping :session "org.gnome.ScreenSaver" 100) "Gnome")
                ((dbus-ping :session "org.freedesktop.ScreenSaver" 100) "KDE")
                (t "No")))

Running the following to dump

  emacs --batch -Q -l debug-init.el -eval '(dump-emacs-portable "/home/leonard/.emacs.d/.cache/dumps/spacemacs.pdmp")'

Starting from the dumped file

  emacs -Q --dump-file=/home/leonard/.emacs.d/.cache/dumps/spacemacs.pdmp 

And finally executing the exemplar dbus command in the now running emacs session:


    (require 'dbus)
    (message
            "%s screensaver on board."
            (cond
                    ((dbus-ping :session "org.gnome.ScreenSaver" 100) "Gnome")
                    ((dbus-ping :session "org.freedesktop.ScreenSaver" 100) "KDE")
                    (t "No")))


I'm attaching gdb output of the backtraces. Please let me know if you
would like to see any further information.

Output of "bt":


--=-=-=
Content-Type: text/plain
Content-Disposition: inline; filename=bt.txt
Content-Transfer-Encoding: 8bit

#0  0x00007f8bd779269b in raise () at /lib64/libpthread.so.0
#1  0x000055799ee02df7 in terminate_due_to_signal (sig=11, backtrace_limit=40) at emacs.c:405
#2  0x000055799ee3d160 in handle_fatal_signal (sig=11) at sysdep.c:1790
#3  0x000055799ee3d131 in deliver_thread_signal (sig=11, handler=0x55799ee3d146 <handle_fatal_signal>) at sysdep.c:1764
#4  0x000055799ee3d19b in deliver_fatal_thread_signal (sig=11) at sysdep.c:1802
#5  0x000055799ee3d339 in handle_sigsegv (sig=11, siginfo=0x55799f5cb9b0 <sigsegv_stack+6928>, arg=0x55799f5cb880 <sigsegv_stack+6624>) at sysdep.c:1887
#6  0x00007f8bd77928b0 in <signal handler called> () at /lib64/libpthread.so.0
#7  0x00007f8bd8b62e29 in dbus_connection_get_is_connected () at /usr/lib64/libdbus-1.so.3
#8  0x000055799edf9804 in xd_get_connection_address (bus=0x1d40) at dbusbind.c:969
#9  0x000055799edfb7ab in Fdbus_message_internal (nargs=9, args=0x7ffcdcfa1fc8) at dbusbind.c:1353
#10 0x000055799ef34a06 in funcall_subr (subr=0x55799f56a980 <Sdbus_message_internal>, numargs=9, args=0x7ffcdcfa1fc8) at eval.c:2856
#11 0x000055799ef346ba in Ffuncall (nargs=10, args=0x7ffcdcfa1fc0) at eval.c:2803
#12 0x000055799ef3392d in Fapply (nargs=9, args=0x7ffcdcfa2200) at eval.c:2425
#13 0x000055799ef34a06 in funcall_subr (subr=0x55799f572780 <Sapply>, numargs=9, args=0x7ffcdcfa2200) at eval.c:2856
#14 0x000055799ef346ba in Ffuncall (nargs=10, args=0x7ffcdcfa21f8) at eval.c:2803
#15 0x000055799ef9bb10 in exec_byte_code (bytestr=0x7f8bd11bd964, vector=0x7f8bd11bd4a5, maxdepth=0x4a, args_template=0x1616, nargs=7, args=0x7ffcdcfa2800) at bytecode.c:633
#16 0x000055799ef351a8 in funcall_lambda (fun=0x7f8bd11bd465, nargs=7, arg_vector=0x7ffcdcfa27d8) at eval.c:2998
#17 0x000055799ef346fe in Ffuncall (nargs=8, args=0x7ffcdcfa27d0) at eval.c:2805
#18 0x000055799ef9bb10 in exec_byte_code (bytestr=0x7f8bd12bc8d4, vector=0x7f8bd12bc85d, maxdepth=0x2e, args_template=0xc0a, nargs=3, args=0x7ffcdcfa2c48) at bytecode.c:633
#19 0x000055799ef351a8 in funcall_lambda (fun=0x7f8bd12bc81d, nargs=3, arg_vector=0x7ffcdcfa2c30) at eval.c:2998
#20 0x000055799ef34ed0 in apply_lambda (fun=0x7f8bd12bc81d, args=0x55799fc28bb3, count=17) at eval.c:2935
#21 0x000055799ef33239 in eval_sub (form=0x55799fc28ba3) at eval.c:2319
#22 0x000055799ef2ef24 in Fcond (args=0x55799fc28423) at eval.c:438
#23 0x000055799ef32c5c in eval_sub (form=0x55799fc28b93) at eval.c:2227
#24 0x000055799ef32dec in eval_sub (form=0x55799fc28b73) at eval.c:2241
#25 0x000055799ef2efed in Fprogn (body=0x0) at eval.c:462
#26 0x000055799ef32c5c in eval_sub (form=0x55799fc284f3) at eval.c:2227
#27 0x000055799ef3266b in Feval (form=0x55799fc284f3, lexical=0x30) at eval.c:2103
#28 0x000055799ef34b25 in funcall_subr (subr=0x55799f572740 <Seval>, numargs=2, args=0x7ffcdcfa33a0) at eval.c:2878
#29 0x000055799ef346ba in Ffuncall (nargs=3, args=0x7ffcdcfa3398) at eval.c:2803
#30 0x000055799ef9bb10 in exec_byte_code (bytestr=0x7f8bd0fb756c, vector=0x7f8bd0fb6ccd, maxdepth=0x42, args_template=0x406, nargs=1, args=0x7ffcdcfa3860) at bytecode.c:633
#31 0x000055799ef351a8 in funcall_lambda (fun=0x7f8bd0fb6c9d, nargs=1, arg_vector=0x7ffcdcfa3858) at eval.c:2998
#32 0x000055799ef346fe in Ffuncall (nargs=2, args=0x7ffcdcfa3850) at eval.c:2805
#33 0x000055799ef9bb10 in exec_byte_code (bytestr=0x7f8bd0fb76bc, vector=0x7f8bd0fb6c45, maxdepth=0x12, args_template=0x406, nargs=1, args=0x7ffcdcfa3e38) at bytecode.c:633
#34 0x000055799ef351a8 in funcall_lambda (fun=0x7f8bd0fb6c0d, nargs=1, arg_vector=0x7ffcdcfa3e30) at eval.c:2998
#35 0x000055799ef346fe in Ffuncall (nargs=2, args=0x7ffcdcfa3e28) at eval.c:2805
#36 0x000055799ef27144 in Ffuncall_interactively (nargs=2, args=0x7ffcdcfa3e28) at callint.c:255
#37 0x000055799ef34a06 in funcall_subr (subr=0x55799f571f80 <Sfuncall_interactively>, numargs=2, args=0x7ffcdcfa3e28) at eval.c:2856
#38 0x000055799ef346ba in Ffuncall (nargs=3, args=0x7ffcdcfa3e20) at eval.c:2803
#39 0x000055799ef296f4 in Fcall_interactively (function=0x2a12319e09f8, record_flag=0x0, keys=0x55799fbe1875) at callint.c:784
#40 0x000055799ef34b57 in funcall_subr (subr=0x55799f571fc0 <Scall_interactively>, numargs=3, args=0x7ffcdcfa4200) at eval.c:2881
#41 0x000055799ef346ba in Ffuncall (nargs=4, args=0x7ffcdcfa41f8) at eval.c:2803
#42 0x000055799ef9bb10 in exec_byte_code (bytestr=0x7f8bd0fa7dcc, vector=0x7f8bd0fa78f5, maxdepth=0x36, args_template=0x1006, nargs=1, args=0x7ffcdcfa4740) at bytecode.c:633
#43 0x000055799ef351a8 in funcall_lambda (fun=0x7f8bd0fa78c5, nargs=1, arg_vector=0x7ffcdcfa4738) at eval.c:2998
#44 0x000055799ef346fe in Ffuncall (nargs=2, args=0x7ffcdcfa4730) at eval.c:2805
#45 0x000055799ef33f55 in call1 (fn=0x42c0, arg1=0x2a12319e09f8) at eval.c:2656
#46 0x000055799ee0e541 in command_loop_1 () at keyboard.c:1458
#47 0x000055799ef30d6e in internal_condition_case (bfun=0x55799ee0dd15 <command_loop_1>, handlers=0x90, hfun=0x55799ee0d488 <cmd_error>) at eval.c:1355
#48 0x000055799ee0d9da in command_loop_2 (ignore=0x0) at keyboard.c:1091
#49 0x000055799ef305df in internal_catch (tag=0xd1a0, func=0x55799ee0d9ad <command_loop_2>, arg=0x0) at eval.c:1116
#50 0x000055799ee0d978 in command_loop () at keyboard.c:1070
#51 0x000055799ee0d057 in recursive_edit_1 () at keyboard.c:714
#52 0x000055799ee0d1db in Frecursive_edit () at keyboard.c:786
#53 0x000055799ee05639 in main (argc=3, argv=0x7ffcdcfa4c18) at emacs.c:2086

--=-=-=
Content-Type: text/plain


Output of "bt full":


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline; filename=btfull.txt
Content-Transfer-Encoding: quoted-printable

#0  =1B[34m0x00007f8bd779269b=1B[m in =1B[33mraise=1B[m () at =1B[32m/lib64=
/libpthread.so.0=1B[m
#1  =1B[34m0x000055799ee02df7=1B[m in =1B[33mterminate_due_to_signal=1B[m (=
sig=3D11, backtrace_limit=3D40) at =1B[32memacs.c=1B[m:405
#2  =1B[34m0x000055799ee3d160=1B[m in =1B[33mhandle_fatal_signal=1B[m (sig=
=3D11) at =1B[32msysdep.c=1B[m:1790
#3  =1B[34m0x000055799ee3d131=1B[m in =1B[33mdeliver_thread_signal=1B[m (si=
g=3D11, handler=3D0x55799ee3d146 <handle_fatal_signal>) at =1B[32msysdep.c=
=1B[m:1764
        old_errno =3D 11
#4  =1B[34m0x000055799ee3d19b=1B[m in =1B[33mdeliver_fatal_thread_signal=1B=
[m (sig=3D11) at =1B[32msysdep.c=1B[m:1802
#5  =1B[34m0x000055799ee3d339=1B[m in =1B[33mhandle_sigsegv=1B[m (sig=3D11,=
 siginfo=3D0x55799f5cb9b0 <sigsegv_stack+6928>, arg=3D0x55799f5cb880 <sigse=
gv_stack+6624>) at =1B[32msysdep.c=1B[m:1887
        fatal =3D false
#6  =1B[34m0x00007f8bd77928b0=1B[m in =1B[33m<signal handler called>=1B[m (=
) at =1B[32m/lib64/libpthread.so.0=1B[m
#7  =1B[34m0x00007f8bd8b62e29=1B[m in =1B[33mdbus_connection_get_is_connect=
ed=1B[m () at =1B[32m/usr/lib64/libdbus-1.so.3=1B[m
#8  =1B[34m0x000055799edf9804=1B[m in =1B[33mxd_get_connection_address=1B[m=
 (bus=3D0x1d40) at =1B[32mdbusbind.c=1B[m:969
        connection =3D 0x55b6db552d90
        val =3D 0x55b6db552d92
#9  =1B[34m0x000055799edfb7ab=1B[m in =1B[33mFdbus_message_internal=1B[m (n=
args=3D9, args=3D0x7ffcdcfa1fc8) at =1B[32mdbusbind.c=1B[m:1353
        message_type =3D 0x6
        bus =3D 0x1d40
        service =3D 0x55799fc18ab4
        handler =3D 0x2a1231be75f8
        path =3D 0x7f8bd1271b0c
        interface =3D 0x7f8bd12719bc
        member =3D 0x7f8bd12bc8a4
        result =3D 0x7ffcdcfa18f0
        connection =3D 0x833a0289c001c001
        dmessage =3D 0x830502b24002004e
        iter =3D =1B[m
          =1B[m{dummy1 =3D 0x0, dummy2 =3D 0x0, dummy3 =3D 2986411699, dumm=
y4 =3D 1023475969, dummy5 =3D 67127172, dummy6 =3D 1048853763, dummy7 =3D 1=
099498496, dummy8 =3D 77727410, dummy9 =3D -2113621438, dummy10 =3D 1090781=
227, dummy11 =3D 76088754, pad1 =3D 33862210, pad2 =3D 0x9f0300058203b241, =
pad3 =3D 0x7ffcdc87a405}
        dtype =3D 0
        mtype =3D 1
        serial =3D 0
        ui_serial =3D 0
        timeout =3D -1
        count =3D 7
        signature =3D "\350\035\372\334\374\177\000\000\002\000\000\000\000=
\000\000\000\006\b\000\000\000\000\000\000&\000\000\000\000\000\000\000\355=
\037\355=D0=8B\177\000\000\f \355=D0=8B\177\000\000\000\000\000\000\000\000=
\000\000\216\001\003\000\207\000\000\000\216\001\000\000\000\000\000\000\00=
1\000\000\000\213\177\000\000\243\000\000\000\000\000\000\000\360\037\355=
=D0=8B\177\000\000\021\000\000\000\000\000\000\000\260\030\372\334\374\177\=
000\000\360\030\372\334\374\177\000\000\000\031\372\334\374\177\000\000S\03=
1\372\334\374\177\000\000\021\000\000\000\000\000\000\000\002\000\000\000\0=
00\000\000\000\002\000\000\000\000\000\000\000\314\337g\237yU\000\000\314\3=
37g\237yU\000\000t\000\000\000\000\000\000\000\002\000\000\000\000\000\000\=
000\340a]\237yU\000\000\000\000\000\000\000\000\000\000"...
        __func__ =3D "Fdbus_message_internal"
#10 =1B[34m0x000055799ef34a06=1B[m in =1B[33mfuncall_subr=1B[m (subr=3D0x55=
799f56a980 <Sdbus_message_internal>, numargs=3D9, args=3D0x7ffcdcfa1fc8) at=
 =1B[32meval.c=1B[m:2856
#11 =1B[34m0x000055799ef346ba=1B[m in =1B[33mFfuncall=1B[m (nargs=3D10, arg=
s=3D0x7ffcdcfa1fc0) at =1B[32meval.c=1B[m:2803
        fun =3D 0x55799f56a985 <Sdbus_message_internal+5>
        original_fun =3D 0x4aa0
        funcar =3D 0x7ffcdcfa1fb0
        numargs =3D 9
        val =3D 0x0
        count =3D 20
#12 =1B[34m0x000055799ef3392d=1B[m in =1B[33mFapply=1B[m (nargs=3D9, args=
=3D0x7ffcdcfa2200) at =1B[32meval.c=1B[m:2425
        i =3D 10
=1B[m        funcall_nargs =3D 10
        funcall_args =3D 0x7ffcdcfa1fc0
        spread_arg =3D 0x0
        fun =3D 0x55799f56a985 <Sdbus_message_internal+5>
        sa_avail =3D 16304
        sa_count =3D 20
        numargs =3D 9
        retval =3D 0x0
#13 =1B[34m0x000055799ef34a06=1B[m in =1B[33mfuncall_subr=1B[m (subr=3D0x55=
799f572780 <Sapply>, numargs=3D9, args=3D0x7ffcdcfa2200) at =1B[32meval.c=
=1B[m:2856
#14 =1B[34m0x000055799ef346ba=1B[m in =1B[33mFfuncall=1B[m (nargs=3D10, arg=
s=3D0x7ffcdcfa21f8) at =1B[32meval.c=1B[m:2803
        fun =3D 0x55799f572785 <Sapply+5>
        original_fun =3D 0x2c40
        funcar =3D 0x2a123188be30
        numargs =3D 9
        val =3D 0x200000192
        count =3D 19
#15 =1B[34m0x000055799ef9bb10=1B[m in =1B[33mexec_byte_code=1B[m (bytestr=
=3D0x7f8bd11bd964, vector=3D0x7f8bd11bd4a5, maxdepth=3D0x4a, args_template=
=3D0x1616, nargs=3D7, args=3D0x7ffcdcfa2800) at =1B[32mbytecode.c=1B[m:633
        op =3D 9
        type =3D (CONDITION_CASE | CATCHER_ALL | unknown: 2666265576)
        targets =3D {0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f428 =
<exec_byte_code+18025>, 0x55799ef9f42a <exec_byte_code+18027>, 0x55799ef9f4=
2c <exec_byte_code+18029>, 0x55799ef9f42e <exec_byte_code+18031>, 0x55799ef=
9f42e <exec_byte_code+18031>, 0x55799ef9f4a5 <exec_byte_code+18150>, 0x5579=
9ef9f52e <exec_byte_code+18287>, 0x55799ef9b34b <exec_byte_code+1420>, 0x55=
799ef9b34d <exec_byte_code+1422>, 0x55799ef9b34f <exec_byte_code+1424>, 0x5=
5799ef9b351 <exec_byte_code+1426>, 0x55799ef9b353 <exec_byte_code+1428>, 0x=
55799ef9b353 <exec_byte_code+1428>, 0x55799ef9b35c <exec_byte_code+1437>, 0=
x55799ef9b308 <exec_byte_code+1353>, 0x55799ef9b78c <exec_byte_code+2509>, =
0x55799ef9b78e <exec_byte_code+2511>, 0x55799ef9b790 <exec_byte_code+2513>,=
 0x55799ef9b792 <exec_byte_code+2515>, 0x55799ef9b794 <exec_byte_code+2517>=
, 0x55799ef9b794 <exec_byte_code+2517>, 0x55799ef9b7de <exec_byte_code+2591=
>, 0x55799ef9b79d <exec_byte_code+2526>, 0x55799ef9b9e3 <exec_byte_code+310=
8>, 0x55799ef9b9e5 <exec_byte_code+3110>, 0x55799ef9b9e7 <exec_byte_code+31=
12>, 0x55799ef9b9e9 <exec_byte_code+3114>, 0x55799ef9b9eb <exec_byte_code+3=
116>, 0x55799ef9b9eb <exec_byte_code+3116>, 0x55799ef9b982 <exec_byte_code+=
3011>, 0x55799ef9b9a2 <exec_byte_code+3043>, 0x55799ef9bace <exec_byte_code=
+3343>, 0x55799ef9bad0 <exec_byte_code+3345>, 0x55799ef9bad2 <exec_byte_cod=
e+3347>, 0x55799ef9bad4 <exec_byte_code+3349>, 0x55799ef9bad6 <exec_byte_co=
de+3351>, 0x55799ef9bad6 <exec_byte_code+3351>, 0x55799ef9ba6d <exec_byte_c=
ode+3246>, 0x55799ef9ba8d <exec_byte_code+3278>, 0x55799ef9bbbc <exec_byte_=
code+3581>, 0x55799ef9bbbe <exec_byte_code+3583>, 0x55799ef9bbc0 <exec_byte=
_code+3585>, 0x55799ef9bbc2 <exec_byte_code+3587>, 0x55799ef9bbc4 <exec_byt=
e_code+3589>, 0x55799ef9bbc4 <exec_byte_code+3589>, 0x55799ef9bb5b <exec_by=
te_code+3484>, 0x55799ef9bb7b <exec_byte_code+3516>, 0x55799ef9c622 <exec_b=
yte_code+6243>, 0x55799ef9c4db <exec_byte_code+5916>, 0x55799ef9c4cf <exec_=
byte_code+5904>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exe=
c_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <=
exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9c8c=
8 <exec_byte_code+6921>, 0x55799ef9c9e5 <exec_byte_code+7206>, 0x55799ef9ca=
5a <exec_byte_code+7323>, 0x55799ef9cad2 <exec_byte_code+7443>, 0x55799ef9c=
b4c <exec_byte_code+7565>, 0x55799ef9b5c5 <exec_byte_code+2054>, 0x55799ef9=
b65e <exec_byte_code+2207>, 0x55799ef9cbe0 <exec_byte_code+7713>, 0x55799ef=
9b51b <exec_byte_code+1884>, 0x55799ef9b6e1 <exec_byte_code+2338>, 0x55799e=
f9cc60 <exec_byte_code+7841>, 0x55799ef9cce3 <exec_byte_code+7972>, 0x55799=
ef9cd40 <exec_byte_code+8065>, 0x55799ef9cdc3 <exec_byte_code+8196>, 0x5579=
9ef9ce47 <exec_byte_code+8328>, 0x55799ef9cf79 <exec_byte_code+8634>, 0x557=
99ef9cfd6 <exec_byte_code+8727>, 0x55799ef9d059 <exec_byte_code+8858>, 0x55=
799ef9d0ff <exec_byte_code+9024>, 0x55799ef9d15c <exec_byte_code+9117>, 0x5=
5799ef9d1b9 <exec_byte_code+9210>, 0x55799ef9d23c <exec_byte_code+9341>, 0x=
55799ef9d2bf <exec_byte_code+9472>, 0x55799ef9d342 <exec_byte_code+9603>, 0=
x55799ef9d3e8 <exec_byte_code+9769>, 0x55799ef9d44f <exec_byte_code+9872>, =
0x55799ef9d4b6 <exec_byte_code+9975>, 0x55799ef9d5c0 <exec_byte_code+10241>=
, 0x55799ef9d686 <exec_byte_code+10439>, 0x55799ef9d74c <exec_byte_code+106=
37>, 0x55799ef9d7d4 <exec_byte_code+10773>, 0x55799ef9d85c <exec_byte_code+=
10909>, 0x55799ef9d8e4 <exec_byte_code+11045>, 0x55799ef9d96c <exec_byte_co=
de+11181>, 0x55799ef9d9f4 <exec_byte_code+11317>, 0x55799ef9da5b <exec_byte=
_code+11420>, 0x55799ef9db22 <exec_byte_code+11619>, 0x55799ef9db89 <exec_b=
yte_code+11722>, 0x55799ef9dbf0 <exec_byte_code+11825>, 0x55799ef9dc57 <exe=
c_byte_code+11928>, 0x55799ef9dda8 <exec_byte_code+12265>, 0x55799ef9c304 <=
exec_byte_code+5445>, 0x55799ef9de18 <exec_byte_code+12377>, 0x55799ef9de75=
 <exec_byte_code+12470>, 0x55799ef9df77 <exec_byte_code+12728>, 0x55799ef9d=
ff2 <exec_byte_code+12851>, 0x55799ef9e062 <exec_byte_code+12963>, 0x55799e=
f9e0bf <exec_byte_code+13056>, 0x55799ef9e117 <exec_byte_code+13144>, 0x557=
99ef9e16f <exec_byte_code+13232>, 0x55799ef9e1cf <exec_byte_code+13328>, 0x=
55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e23c <exec_byte_code+13437>,=
 0x55799ef9e294 <exec_byte_code+13525>, 0x55799ef9e2ec <exec_byte_code+1361=
3>, 0x55799ef9e344 <exec_byte_code+13701>, 0x55799ef9e39c <exec_byte_code+1=
3789>, 0x55799ef9e3f4 <exec_byte_code+13877>, 0x55799ef9c304 <exec_byte_cod=
e+5445>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e451 <exec_byte_c=
ode+13970>, 0x55799ef9e4b8 <exec_byte_code+14073>, 0x55799ef9e515 <exec_byt=
e_code+14166>, 0x55799ef9e572 <exec_byte_code+14259>, 0x55799ef9e5f5 <exec_=
byte_code+14390>, 0x55799ef9e678 <exec_byte_code+14521>, 0x55799ef9e6d5 <ex=
ec_byte_code+14614>, 0x55799ef9e7f8 <exec_byte_code+14905>, 0x55799ef9e87b =
<exec_byte_code+15036>, 0x55799ef9e8fe <exec_byte_code+15167>, 0x55799ef9e9=
81 <exec_byte_code+15298>, 0x55799ef9e9d9 <exec_byte_code+15386>, 0x55799ef=
9f3fa <exec_byte_code+17979>, 0x55799ef9c217 <exec_byte_code+5208>, 0x55799=
ef9bc94 <exec_byte_code+3797>, 0x55799ef9b465 <exec_byte_code+1702>, 0x5579=
9ef9bd7f <exec_byte_code+4032>, 0x55799ef9be27 <exec_byte_code+4200>, 0x557=
99ef9becc <exec_byte_code+4365>, 0x55799ef9c1b9 <exec_byte_code+5114>, 0x55=
799ef9c1d1 <exec_byte_code+5138>, 0x55799ef9b91a <exec_byte_code+2907>, 0x5=
5799ef9c2c1 <exec_byte_code+5378>, 0x55799ef9c347 <exec_byte_code+5512>, 0x=
55799ef9c3f0 <exec_byte_code+5681>, 0x55799ef9c445 <exec_byte_code+5766>, 0=
x55799ef9c67a <exec_byte_code+6331>, 0x55799ef9c709 <exec_byte_code+6474>, =
0x55799ef9c7af <exec_byte_code+6640>, 0x55799ef9c82a <exec_byte_code+6763>,=
 0x55799ef9bc37 <exec_byte_code+3704>, 0x55799ef9ea36 <exec_byte_code+15479=
>, 0x55799ef9eadc <exec_byte_code+15645>, 0x55799ef9eb39 <exec_byte_code+15=
738>, 0x55799ef9eb96 <exec_byte_code+15831>, 0x55799ef9ebf3 <exec_byte_code=
+15924>, 0x55799ef9ec50 <exec_byte_code+16017>, 0x55799ef9ecd3 <exec_byte_c=
ode+16148>, 0x55799ef9ed56 <exec_byte_code+16279>, 0x55799ef9edd9 <exec_byt=
e_code+16410>, 0x55799ef9ee5c <exec_byte_code+16541>, 0x55799ef9ef8e <exec_=
byte_code+16847>, 0x55799ef9f011 <exec_byte_code+16978>, 0x55799ef9f08e <ex=
ec_byte_code+17103>, 0x55799ef9f0eb <exec_byte_code+17196>, 0x55799ef9f168 =
<exec_byte_code+17321>, 0x55799ef9f1e5 <exec_byte_code+17446>, 0x55799ef9f2=
42 <exec_byte_code+17539>, 0x55799ef9f29f <exec_byte_code+17632>, 0x55799ef=
9dcbe <exec_byte_code+12031>, 0x55799ef9dd25 <exec_byte_code+12134>, 0x5579=
9ef9f306 <exec_byte_code+17735>, 0x55799ef9f380 <exec_byte_code+17857>, 0x5=
5799ef9f3fa <exec_byte_code+17979>, 0x55799ef9bf71 <exec_byte_code+4530>, 0=
x55799ef9bf97 <exec_byte_code+4568>, 0x55799ef9c021 <exec_byte_code+4706>, =
0x55799ef9c0ab <exec_byte_code+4844>, 0x55799ef9c132 <exec_byte_code+4979>,=
 0x55799ef9ced6 <exec_byte_code+8471>, 0x55799ef9d51d <exec_byte_code+10078=
>, 0x55799ef9ded4 <exec_byte_code+12565>, 0x55799ef9f5e2 <exec_byte_code+18=
467>, 0x55799ef9f66c <exec_byte_code+18605>, 0x55799ef9f3fa <exec_byte_code=
+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f723 <exec_byte_c=
ode+18788>, 0x55799ef9f7d4 <exec_byte_code+18965>, 0x55799ef9f3fa <exec_byt=
e_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exec_=
byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <ex=
ec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa =
<exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f9=
1f <exec_byte_code+19296> <repeats 64 times>}
        const_length =3D 47
        bytestr_length =3D 268
        vectorp =3D 0x7f8bd11bd4a8
        quitcounter =3D 1 '\001'
        stack_items =3D 19
        sa_avail =3D 15964
        sa_count =3D 19
        alloc =3D 0x7ffcdcfa21b0
        item_bytes =3D 152
        stack_base =3D 0x7ffcdcfa21b0
        top =3D 0x7ffcdcfa21f8
        stack_lim =3D 0x7ffcdcfa2248
        bytestr_data =3D 0x7ffcdcfa2248 "\305\306!\204\f"
        pc =3D 0x7ffcdcfa22b0 "\324\325B\326\002\002\t#\210\327\330\331\332=
\333\006\006!\334\"\335$\216\336", <incomplete sequence \353>
        count =3D 19
        result =3D 0x8201b282b623a20d
#16 =1B[34m0x000055799ef351a8=1B[m in =1B[33mfuncall_lambda=1B[m (fun=3D0x7=
f8bd11bd465, nargs=3D7, arg_vector=3D0x7ffcdcfa27d8) at =1B[32meval.c=1B[m:=
2998
        size =3D 5
        val =3D 0x641060603358489
        syms_left =3D 0x1616
        next =3D 0x7ffcdcfa2728
        lexenv =3D 0x60f06033c8201b2
        count =3D 19
        i =3D 5224740382290347539
        optional =3D false
        rest =3D false
#17 =1B[34m0x000055799ef346fe=1B[m in =1B[33mFfuncall=1B[m (nargs=3D8, args=
=3D0x7ffcdcfa27d0) at =1B[32meval.c=1B[m:2805
        fun =3D 0x7f8bd11bd465
        original_fun =3D 0x2a1231be7250
        funcar =3D 0x7ffcdcfa27a0
        numargs =3D 7
        val =3D 0x30
        count =3D 18
#18 =1B[34m0x000055799ef9bb10=1B[m in =1B[33mexec_byte_code=1B[m (bytestr=
=3D0x7f8bd12bc8d4, vector=3D0x7f8bd12bc85d, maxdepth=3D0x2e, args_template=
=3D0xc0a, nargs=3D3, args=3D0x7ffcdcfa2c48) at =1B[32mbytecode.c=1B[m:633
        op =3D 7
        type =3D CONDITION_CASE
        targets =3D {0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f428 =
<exec_byte_code+18025>, 0x55799ef9f42a <exec_byte_code+18027>, 0x55799ef9f4=
2c <exec_byte_code+18029>, 0x55799ef9f42e <exec_byte_code+18031>, 0x55799ef=
9f42e <exec_byte_code+18031>, 0x55799ef9f4a5 <exec_byte_code+18150>, 0x5579=
9ef9f52e <exec_byte_code+18287>, 0x55799ef9b34b <exec_byte_code+1420>, 0x55=
799ef9b34d <exec_byte_code+1422>, 0x55799ef9b34f <exec_byte_code+1424>, 0x5=
5799ef9b351 <exec_byte_code+1426>, 0x55799ef9b353 <exec_byte_code+1428>, 0x=
55799ef9b353 <exec_byte_code+1428>, 0x55799ef9b35c <exec_byte_code+1437>, 0=
x55799ef9b308 <exec_byte_code+1353>, 0x55799ef9b78c <exec_byte_code+2509>, =
0x55799ef9b78e <exec_byte_code+2511>, 0x55799ef9b790 <exec_byte_code+2513>,=
 0x55799ef9b792 <exec_byte_code+2515>, 0x55799ef9b794 <exec_byte_code+2517>=
, 0x55799ef9b794 <exec_byte_code+2517>, 0x55799ef9b7de <exec_byte_code+2591=
>, 0x55799ef9b79d <exec_byte_code+2526>, 0x55799ef9b9e3 <exec_byte_code+310=
8>, 0x55799ef9b9e5 <exec_byte_code+3110>, 0x55799ef9b9e7 <exec_byte_code+31=
12>, 0x55799ef9b9e9 <exec_byte_code+3114>, 0x55799ef9b9eb <exec_byte_code+3=
116>, 0x55799ef9b9eb <exec_byte_code+3116>, 0x55799ef9b982 <exec_byte_code+=
3011>, 0x55799ef9b9a2 <exec_byte_code+3043>, 0x55799ef9bace <exec_byte_code=
+3343>, 0x55799ef9bad0 <exec_byte_code+3345>, 0x55799ef9bad2 <exec_byte_cod=
e+3347>, 0x55799ef9bad4 <exec_byte_code+3349>, 0x55799ef9bad6 <exec_byte_co=
de+3351>, 0x55799ef9bad6 <exec_byte_code+3351>, 0x55799ef9ba6d <exec_byte_c=
ode+3246>, 0x55799ef9ba8d <exec_byte_code+3278>, 0x55799ef9bbbc <exec_byte_=
code+3581>, 0x55799ef9bbbe <exec_byte_code+3583>, 0x55799ef9bbc0 <exec_byte=
_code+3585>, 0x55799ef9bbc2 <exec_byte_code+3587>, 0x55799ef9bbc4 <exec_byt=
e_code+3589>, 0x55799ef9bbc4 <exec_byte_code+3589>, 0x55799ef9bb5b <exec_by=
te_code+3484>, 0x55799ef9bb7b <exec_byte_code+3516>, 0x55799ef9c622 <exec_b=
yte_code+6243>, 0x55799ef9c4db <exec_byte_code+5916>, 0x55799ef9c4cf <exec_=
byte_code+5904>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exe=
c_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <=
exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9c8c=
8 <exec_byte_code+6921>, 0x55799ef9c9e5 <exec_byte_code+7206>, 0x55799ef9ca=
5a <exec_byte_code+7323>, 0x55799ef9cad2 <exec_byte_code+7443>, 0x55799ef9c=
b4c <exec_byte_code+7565>, 0x55799ef9b5c5 <exec_byte_code+2054>, 0x55799ef9=
b65e <exec_byte_code+2207>, 0x55799ef9cbe0 <exec_byte_code+7713>, 0x55799ef=
9b51b <exec_byte_code+1884>, 0x55799ef9b6e1 <exec_byte_code+2338>, 0x55799e=
f9cc60 <exec_byte_code+7841>, 0x55799ef9cce3 <exec_byte_code+7972>, 0x55799=
ef9cd40 <exec_byte_code+8065>, 0x55799ef9cdc3 <exec_byte_code+8196>, 0x5579=
9ef9ce47 <exec_byte_code+8328>, 0x55799ef9cf79 <exec_byte_code+8634>, 0x557=
99ef9cfd6 <exec_byte_code+8727>, 0x55799ef9d059 <exec_byte_code+8858>, 0x55=
799ef9d0ff <exec_byte_code+9024>, 0x55799ef9d15c <exec_byte_code+9117>, 0x5=
5799ef9d1b9 <exec_byte_code+9210>, 0x55799ef9d23c <exec_byte_code+9341>, 0x=
55799ef9d2bf <exec_byte_code+9472>, 0x55799ef9d342 <exec_byte_code+9603>, 0=
x55799ef9d3e8 <exec_byte_code+9769>, 0x55799ef9d44f <exec_byte_code+9872>, =
0x55799ef9d4b6 <exec_byte_code+9975>, 0x55799ef9d5c0 <exec_byte_code+10241>=
, 0x55799ef9d686 <exec_byte_code+10439>, 0x55799ef9d74c <exec_byte_code+106=
37>, 0x55799ef9d7d4 <exec_byte_code+10773>, 0x55799ef9d85c <exec_byte_code+=
10909>, 0x55799ef9d8e4 <exec_byte_code+11045>, 0x55799ef9d96c <exec_byte_co=
de+11181>, 0x55799ef9d9f4 <exec_byte_code+11317>, 0x55799ef9da5b <exec_byte=
_code+11420>, 0x55799ef9db22 <exec_byte_code+11619>, 0x55799ef9db89 <exec_b=
yte_code+11722>, 0x55799ef9dbf0 <exec_byte_code+11825>, 0x55799ef9dc57 <exe=
c_byte_code+11928>, 0x55799ef9dda8 <exec_byte_code+12265>, 0x55799ef9c304 <=
exec_byte_code+5445>, 0x55799ef9de18 <exec_byte_code+12377>, 0x55799ef9de75=
 <exec_byte_code+12470>, 0x55799ef9df77 <exec_byte_code+12728>, 0x55799ef9d=
ff2 <exec_byte_code+12851>, 0x55799ef9e062 <exec_byte_code+12963>, 0x55799e=
f9e0bf <exec_byte_code+13056>, 0x55799ef9e117 <exec_byte_code+13144>, 0x557=
99ef9e16f <exec_byte_code+13232>, 0x55799ef9e1cf <exec_byte_code+13328>, 0x=
55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e23c <exec_byte_code+13437>,=
 0x55799ef9e294 <exec_byte_code+13525>, 0x55799ef9e2ec <exec_byte_code+1361=
3>, 0x55799ef9e344 <exec_byte_code+13701>, 0x55799ef9e39c <exec_byte_code+1=
3789>, 0x55799ef9e3f4 <exec_byte_code+13877>, 0x55799ef9c304 <exec_byte_cod=
e+5445>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e451 <exec_byte_c=
ode+13970>, 0x55799ef9e4b8 <exec_byte_code+14073>, 0x55799ef9e515 <exec_byt=
e_code+14166>, 0x55799ef9e572 <exec_byte_code+14259>, 0x55799ef9e5f5 <exec_=
byte_code+14390>, 0x55799ef9e678 <exec_byte_code+14521>, 0x55799ef9e6d5 <ex=
ec_byte_code+14614>, 0x55799ef9e7f8 <exec_byte_code+14905>, 0x55799ef9e87b =
<exec_byte_code+15036>, 0x55799ef9e8fe <exec_byte_code+15167>, 0x55799ef9e9=
81 <exec_byte_code+15298>, 0x55799ef9e9d9 <exec_byte_code+15386>, 0x55799ef=
9f3fa <exec_byte_code+17979>, 0x55799ef9c217 <exec_byte_code+5208>, 0x55799=
ef9bc94 <exec_byte_code+3797>, 0x55799ef9b465 <exec_byte_code+1702>, 0x5579=
9ef9bd7f <exec_byte_code+4032>, 0x55799ef9be27 <exec_byte_code+4200>, 0x557=
99ef9becc <exec_byte_code+4365>, 0x55799ef9c1b9 <exec_byte_code+5114>, 0x55=
799ef9c1d1 <exec_byte_code+5138>, 0x55799ef9b91a <exec_byte_code+2907>, 0x5=
5799ef9c2c1 <exec_byte_code+5378>, 0x55799ef9c347 <exec_byte_code+5512>, 0x=
55799ef9c3f0 <exec_byte_code+5681>, 0x55799ef9c445 <exec_byte_code+5766>, 0=
x55799ef9c67a <exec_byte_code+6331>, 0x55799ef9c709 <exec_byte_code+6474>, =
0x55799ef9c7af <exec_byte_code+6640>, 0x55799ef9c82a <exec_byte_code+6763>,=
 0x55799ef9bc37 <exec_byte_code+3704>, 0x55799ef9ea36 <exec_byte_code+15479=
>, 0x55799ef9eadc <exec_byte_code+15645>, 0x55799ef9eb39 <exec_byte_code+15=
738>, 0x55799ef9eb96 <exec_byte_code+15831>, 0x55799ef9ebf3 <exec_byte_code=
+15924>, 0x55799ef9ec50 <exec_byte_code+16017>, 0x55799ef9ecd3 <exec_byte_c=
ode+16148>, 0x55799ef9ed56 <exec_byte_code+16279>, 0x55799ef9edd9 <exec_byt=
e_code+16410>, 0x55799ef9ee5c <exec_byte_code+16541>, 0x55799ef9ef8e <exec_=
byte_code+16847>, 0x55799ef9f011 <exec_byte_code+16978>, 0x55799ef9f08e <ex=
ec_byte_code+17103>, 0x55799ef9f0eb <exec_byte_code+17196>, 0x55799ef9f168 =
<exec_byte_code+17321>, 0x55799ef9f1e5 <exec_byte_code+17446>, 0x55799ef9f2=
42 <exec_byte_code+17539>, 0x55799ef9f29f <exec_byte_code+17632>, 0x55799ef=
9dcbe <exec_byte_code+12031>, 0x55799ef9dd25 <exec_byte_code+12134>, 0x5579=
9ef9f306 <exec_byte_code+17735>, 0x55799ef9f380 <exec_byte_code+17857>, 0x5=
5799ef9f3fa <exec_byte_code+17979>, 0x55799ef9bf71 <exec_byte_code+4530>, 0=
x55799ef9bf97 <exec_byte_code+4568>, 0x55799ef9c021 <exec_byte_code+4706>, =
0x55799ef9c0ab <exec_byte_code+4844>, 0x55799ef9c132 <exec_byte_code+4979>,=
 0x55799ef9ced6 <exec_byte_code+8471>, 0x55799ef9d51d <exec_byte_code+10078=
>, 0x55799ef9ded4 <exec_byte_code+12565>, 0x55799ef9f5e2 <exec_byte_code+18=
467>, 0x55799ef9f66c <exec_byte_code+18605>, 0x55799ef9f3fa <exec_byte_code=
+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f723 <exec_byte_c=
ode+18788>, 0x55799ef9f7d4 <exec_byte_code+18965>, 0x55799ef9f3fa <exec_byt=
e_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exec_=
byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <ex=
ec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa =
<exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f9=
1f <exec_byte_code+19296> <repeats 64 times>}
        const_length =3D 8
        bytestr_length =3D 37
        vectorp =3D 0x7f8bd12bc860
        quitcounter =3D 1 '\001'
        stack_items =3D 12
        sa_avail =3D 16251
        sa_count =3D 18
        alloc =3D 0x7ffcdcfa27b0
        item_bytes =3D 96
        stack_base =3D 0x7ffcdcfa27b0
        top =3D 0x7ffcdcfa27d0
        stack_lim =3D 0x7ffcdcfa2810
        bytestr_data =3D 0x7ffcdcfa2810 "\302\061\""
        pc =3D 0x7ffcdcfa2825 "\202\037"
        count =3D 18
        result =3D 0x40890658833a8941
#19 =1B[34m0x000055799ef351a8=1B[m in =1B[33mfuncall_lambda=1B[m (fun=3D0x7=
f8bd12bc81d, nargs=3D3, arg_vector=3D0x7ffcdcfa2c30) at =1B[32meval.c=1B[m:=
2998
        size =3D 5
        val =3D 0x0
        syms_left =3D 0xc0a
        next =3D 0x0
        lexenv =3D 0x7ffcdcfa2bd0
        count =3D 18
        i =3D 93980846176202
        optional =3D false
        rest =3D false
#20 =1B[34m0x000055799ef34ed0=1B[m in =1B[33mapply_lambda=1B[m (fun=3D0x7f8=
bd12bc81d, args=3D0x55799fc28bb3, count=3D17) at =1B[32meval.c=1B[m:2935
        arg_vector =3D 0x7ffcdcfa2c30
        tem =3D 0x192
        sa_avail =3D 16360
        sa_count =3D 18
        numargs =3D 3
        args_left =3D 0x0
#21 =1B[34m0x000055799ef33239=1B[m in =1B[33meval_sub=1B[m (form=3D0x55799f=
c28ba3) at =1B[32meval.c=1B[m:2319
        original_fun =3D 0x2a1231ce6608
        original_args =3D 0x55799fc28bb3
        count =3D 17
        fun =3D 0x7f8bd12bc81d
        val =3D 0xa9fbf0cb5
        funcar =3D 0x7f8bd0ed1d3d
        argvals =3D {0x55799f5d61e0 <lispsym>, 0x0, 0x0, 0x7ffcdcfa2db0, 0x=
55799ef3b7ca <builtin_lisp_symbol+48>, 0xd0ed1d3d, 0x7ffcdcfa2dd0, 0x55799e=
f3d1e5 <CHECK_LIST_END+26>}
#22 =1B[34m0x000055799ef2ef24=1B[m in =1B[33mFcond=1B[m (args=3D0x55799fc28=
423) at =1B[32meval.c=1B[m:438
        clause =3D 0x55799fc28403
        val =3D 0x55799fc28423
#23 =1B[34m0x000055799ef32c5c=1B[m in =1B[33meval_sub=1B[m (form=3D0x55799f=
c28b93) at =1B[32meval.c=1B[m:2227
        args_left =3D 0x55799fc28423
        numargs =3D 3
        original_fun =3D 0x2a12318f1ce8
        original_args =3D 0x55799fc28423
        count =3D 16
        fun =3D 0x55799f572105 <Scond+5>
        val =3D 0x1
        funcar =3D 0x0
        argvals =3D {0x55799ef3b7ca <builtin_lisp_symbol+48>, 0x1, 0x7ffcdc=
fa2f10, 0x55799ef3d1e5 <CHECK_LIST_END+26>, 0x0, 0x0, 0x7ffcdcfa2f60, 0x557=
99ef40467 <list_length+236>}
#24 =1B[34m0x000055799ef32dec=1B[m in =1B[33meval_sub=1B[m (form=3D0x55799f=
c28b73) at =1B[32meval.c=1B[m:2241
        arg =3D 0x55799fc28b93
        vals =3D 0x7ffcdcfa2f50
        argnum =3D 2
        sa_avail =3D 16368
        sa_count =3D 16
        args_left =3D 0x0
        numargs =3D 2
        original_fun =3D 0x2a1231837be8
        original_args =3D 0x55799fc28b83
        count =3D 15
        fun =3D 0x55799f571d05 <Smessage+5>
        val =3D 0x55799eff78fb <builtin_lisp_symbol+48>
        funcar =3D 0x55799ef019d5 <store_symval_forwarding+351>
        argvals =3D {0x0, 0x7ffcdcfa3040, 0x55799ef3b7ca <builtin_lisp_symb=
ol+48>, 0x64779100, 0x7ffcdcfa3060, 0x55799ef3d1e5 <CHECK_LIST_END+26>, 0x5=
5799f5d61e0 <lispsym>, 0x0}
#25 =1B[34m0x000055799ef2efed=1B[m in =1B[33mFprogn=1B[m (body=3D0x0) at =
=1B[32meval.c=1B[m:462
        form =3D 0x55799fc28b73
        val =3D 0x0
#26 =1B[34m0x000055799ef32c5c=1B[m in =1B[33meval_sub=1B[m (form=3D0x55799f=
c284f3) at =1B[32meval.c=1B[m:2227
        args_left =3D 0x55799fc284e3
        numargs =3D 1
        original_fun =3D 0xb040
        original_args =3D 0x55799fc284e3
        count =3D 14
        fun =3D 0x55799f572145 <Sprogn+5>
        val =3D 0x8100
        funcar =3D 0x55799ef35d0c <do_specbind+271>
        argvals =3D {0x55799f67fe20, 0x55799f5de2e0 <lispsym+33024>, 0x5579=
9ef2b213 <BUFFER_OBJFWDP+24>, 0x55799f67fe20, 0x7ffcdcfa31d0, 0x55799ef35fc=
5 <specbind+683>, 0x55799fc28603, 0x8100}
#27 =1B[34m0x000055799ef3266b=1B[m in =1B[33mFeval=1B[m (form=3D0x55799fc28=
4f3, lexical=3D0x30) at =1B[32meval.c=1B[m:2103
        count =3D 13
#28 =1B[34m0x000055799ef34b25=1B[m in =1B[33mfuncall_subr=1B[m (subr=3D0x55=
799f572740 <Seval>, numargs=3D2, args=3D0x7ffcdcfa33a0) at =1B[32meval.c=1B=
[m:2878
        internal_argbuf =3D {0x0, 0x7ffcdcfa3280, 0x55799f5d61e0 <lispsym>,=
 0x1064779100, 0x55799f572740 <Seval>, 0x7ffcdcfa32a8, 0x55799ef2a36a <PSEU=
DOVECTORP+57>, 0x1000000000}
        internal_args =3D 0x7ffcdcfa33a0
#29 =1B[34m0x000055799ef346ba=1B[m in =1B[33mFfuncall=1B[m (nargs=3D3, args=
=3D0x7ffcdcfa3398) at =1B[32meval.c=1B[m:2803
        fun =3D 0x55799f572745 <Seval+5>
        original_fun =3D 0x5940
        funcar =3D 0x8c70
        numargs =3D 2
        val =3D 0x2d13f8848
        count =3D 12
#30 =1B[34m0x000055799ef9bb10=1B[m in =1B[33mexec_byte_code=1B[m (bytestr=
=3D0x7f8bd0fb756c, vector=3D0x7f8bd0fb6ccd, maxdepth=3D0x42, args_template=
=3D0x406, nargs=3D1, args=3D0x7ffcdcfa3860) at =1B[32mbytecode.c=1B[m:633
        op =3D 2
        type =3D (unknown: 3707384928)
        targets =3D {0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f428 =
<exec_byte_code+18025>, 0x55799ef9f42a <exec_byte_code+18027>, 0x55799ef9f4=
2c <exec_byte_code+18029>, 0x55799ef9f42e <exec_byte_code+18031>, 0x55799ef=
9f42e <exec_byte_code+18031>, 0x55799ef9f4a5 <exec_byte_code+18150>, 0x5579=
9ef9f52e <exec_byte_code+18287>, 0x55799ef9b34b <exec_byte_code+1420>, 0x55=
799ef9b34d <exec_byte_code+1422>, 0x55799ef9b34f <exec_byte_code+1424>, 0x5=
5799ef9b351 <exec_byte_code+1426>, 0x55799ef9b353 <exec_byte_code+1428>, 0x=
55799ef9b353 <exec_byte_code+1428>, 0x55799ef9b35c <exec_byte_code+1437>, 0=
x55799ef9b308 <exec_byte_code+1353>, 0x55799ef9b78c <exec_byte_code+2509>, =
0x55799ef9b78e <exec_byte_code+2511>, 0x55799ef9b790 <exec_byte_code+2513>,=
 0x55799ef9b792 <exec_byte_code+2515>, 0x55799ef9b794 <exec_byte_code+2517>=
, 0x55799ef9b794 <exec_byte_code+2517>, 0x55799ef9b7de <exec_byte_code+2591=
>, 0x55799ef9b79d <exec_byte_code+2526>, 0x55799ef9b9e3 <exec_byte_code+310=
8>, 0x55799ef9b9e5 <exec_byte_code+3110>, 0x55799ef9b9e7 <exec_byte_code+31=
12>, 0x55799ef9b9e9 <exec_byte_code+3114>, 0x55799ef9b9eb <exec_byte_code+3=
116>, 0x55799ef9b9eb <exec_byte_code+3116>, 0x55799ef9b982 <exec_byte_code+=
3011>, 0x55799ef9b9a2 <exec_byte_code+3043>, 0x55799ef9bace <exec_byte_code=
+3343>, 0x55799ef9bad0 <exec_byte_code+3345>, 0x55799ef9bad2 <exec_byte_cod=
e+3347>, 0x55799ef9bad4 <exec_byte_code+3349>, 0x55799ef9bad6 <exec_byte_co=
de+3351>, 0x55799ef9bad6 <exec_byte_code+3351>, 0x55799ef9ba6d <exec_byte_c=
ode+3246>, 0x55799ef9ba8d <exec_byte_code+3278>, 0x55799ef9bbbc <exec_byte_=
code+3581>, 0x55799ef9bbbe <exec_byte_code+3583>, 0x55799ef9bbc0 <exec_byte=
_code+3585>, 0x55799ef9bbc2 <exec_byte_code+3587>, 0x55799ef9bbc4 <exec_byt=
e_code+3589>, 0x55799ef9bbc4 <exec_byte_code+3589>, 0x55799ef9bb5b <exec_by=
te_code+3484>, 0x55799ef9bb7b <exec_byte_code+3516>, 0x55799ef9c622 <exec_b=
yte_code+6243>, 0x55799ef9c4db <exec_byte_code+5916>, 0x55799ef9c4cf <exec_=
byte_code+5904>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exe=
c_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <=
exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9c8c=
8 <exec_byte_code+6921>, 0x55799ef9c9e5 <exec_byte_code+7206>, 0x55799ef9ca=
5a <exec_byte_code+7323>, 0x55799ef9cad2 <exec_byte_code+7443>, 0x55799ef9c=
b4c <exec_byte_code+7565>, 0x55799ef9b5c5 <exec_byte_code+2054>, 0x55799ef9=
b65e <exec_byte_code+2207>, 0x55799ef9cbe0 <exec_byte_code+7713>, 0x55799ef=
9b51b <exec_byte_code+1884>, 0x55799ef9b6e1 <exec_byte_code+2338>, 0x55799e=
f9cc60 <exec_byte_code+7841>, 0x55799ef9cce3 <exec_byte_code+7972>, 0x55799=
ef9cd40 <exec_byte_code+8065>, 0x55799ef9cdc3 <exec_byte_code+8196>, 0x5579=
9ef9ce47 <exec_byte_code+8328>, 0x55799ef9cf79 <exec_byte_code+8634>, 0x557=
99ef9cfd6 <exec_byte_code+8727>, 0x55799ef9d059 <exec_byte_code+8858>, 0x55=
799ef9d0ff <exec_byte_code+9024>, 0x55799ef9d15c <exec_byte_code+9117>, 0x5=
5799ef9d1b9 <exec_byte_code+9210>, 0x55799ef9d23c <exec_byte_code+9341>, 0x=
55799ef9d2bf <exec_byte_code+9472>, 0x55799ef9d342 <exec_byte_code+9603>, 0=
x55799ef9d3e8 <exec_byte_code+9769>, 0x55799ef9d44f <exec_byte_code+9872>, =
0x55799ef9d4b6 <exec_byte_code+9975>, 0x55799ef9d5c0 <exec_byte_code+10241>=
, 0x55799ef9d686 <exec_byte_code+10439>, 0x55799ef9d74c <exec_byte_code+106=
37>, 0x55799ef9d7d4 <exec_byte_code+10773>, 0x55799ef9d85c <exec_byte_code+=
10909>, 0x55799ef9d8e4 <exec_byte_code+11045>, 0x55799ef9d96c <exec_byte_co=
de+11181>, 0x55799ef9d9f4 <exec_byte_code+11317>, 0x55799ef9da5b <exec_byte=
_code+11420>, 0x55799ef9db22 <exec_byte_code+11619>, 0x55799ef9db89 <exec_b=
yte_code+11722>, 0x55799ef9dbf0 <exec_byte_code+11825>, 0x55799ef9dc57 <exe=
c_byte_code+11928>, 0x55799ef9dda8 <exec_byte_code+12265>, 0x55799ef9c304 <=
exec_byte_code+5445>, 0x55799ef9de18 <exec_byte_code+12377>, 0x55799ef9de75=
 <exec_byte_code+12470>, 0x55799ef9df77 <exec_byte_code+12728>, 0x55799ef9d=
ff2 <exec_byte_code+12851>, 0x55799ef9e062 <exec_byte_code+12963>, 0x55799e=
f9e0bf <exec_byte_code+13056>, 0x55799ef9e117 <exec_byte_code+13144>, 0x557=
99ef9e16f <exec_byte_code+13232>, 0x55799ef9e1cf <exec_byte_code+13328>, 0x=
55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e23c <exec_byte_code+13437>,=
 0x55799ef9e294 <exec_byte_code+13525>, 0x55799ef9e2ec <exec_byte_code+1361=
3>, 0x55799ef9e344 <exec_byte_code+13701>, 0x55799ef9e39c <exec_byte_code+1=
3789>, 0x55799ef9e3f4 <exec_byte_code+13877>, 0x55799ef9c304 <exec_byte_cod=
e+5445>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e451 <exec_byte_c=
ode+13970>, 0x55799ef9e4b8 <exec_byte_code+14073>, 0x55799ef9e515 <exec_byt=
e_code+14166>, 0x55799ef9e572 <exec_byte_code+14259>, 0x55799ef9e5f5 <exec_=
byte_code+14390>, 0x55799ef9e678 <exec_byte_code+14521>, 0x55799ef9e6d5 <ex=
ec_byte_code+14614>, 0x55799ef9e7f8 <exec_byte_code+14905>, 0x55799ef9e87b =
<exec_byte_code+15036>, 0x55799ef9e8fe <exec_byte_code+15167>, 0x55799ef9e9=
81 <exec_byte_code+15298>, 0x55799ef9e9d9 <exec_byte_code+15386>, 0x55799ef=
9f3fa <exec_byte_code+17979>, 0x55799ef9c217 <exec_byte_code+5208>, 0x55799=
ef9bc94 <exec_byte_code+3797>, 0x55799ef9b465 <exec_byte_code+1702>, 0x5579=
9ef9bd7f <exec_byte_code+4032>, 0x55799ef9be27 <exec_byte_code+4200>, 0x557=
99ef9becc <exec_byte_code+4365>, 0x55799ef9c1b9 <exec_byte_code+5114>, 0x55=
799ef9c1d1 <exec_byte_code+5138>, 0x55799ef9b91a <exec_byte_code+2907>, 0x5=
5799ef9c2c1 <exec_byte_code+5378>, 0x55799ef9c347 <exec_byte_code+5512>, 0x=
55799ef9c3f0 <exec_byte_code+5681>, 0x55799ef9c445 <exec_byte_code+5766>, 0=
x55799ef9c67a <exec_byte_code+6331>, 0x55799ef9c709 <exec_byte_code+6474>, =
0x55799ef9c7af <exec_byte_code+6640>, 0x55799ef9c82a <exec_byte_code+6763>,=
 0x55799ef9bc37 <exec_byte_code+3704>, 0x55799ef9ea36 <exec_byte_code+15479=
>, 0x55799ef9eadc <exec_byte_code+15645>, 0x55799ef9eb39 <exec_byte_code+15=
738>, 0x55799ef9eb96 <exec_byte_code+15831>, 0x55799ef9ebf3 <exec_byte_code=
+15924>, 0x55799ef9ec50 <exec_byte_code+16017>, 0x55799ef9ecd3 <exec_byte_c=
ode+16148>, 0x55799ef9ed56 <exec_byte_code+16279>, 0x55799ef9edd9 <exec_byt=
e_code+16410>, 0x55799ef9ee5c <exec_byte_code+16541>, 0x55799ef9ef8e <exec_=
byte_code+16847>, 0x55799ef9f011 <exec_byte_code+16978>, 0x55799ef9f08e <ex=
ec_byte_code+17103>, 0x55799ef9f0eb <exec_byte_code+17196>, 0x55799ef9f168 =
<exec_byte_code+17321>, 0x55799ef9f1e5 <exec_byte_code+17446>, 0x55799ef9f2=
42 <exec_byte_code+17539>, 0x55799ef9f29f <exec_byte_code+17632>, 0x55799ef=
9dcbe <exec_byte_code+12031>, 0x55799ef9dd25 <exec_byte_code+12134>, 0x5579=
9ef9f306 <exec_byte_code+17735>, 0x55799ef9f380 <exec_byte_code+17857>, 0x5=
5799ef9f3fa <exec_byte_code+17979>, 0x55799ef9bf71 <exec_byte_code+4530>, 0=
x55799ef9bf97 <exec_byte_code+4568>, 0x55799ef9c021 <exec_byte_code+4706>, =
0x55799ef9c0ab <exec_byte_code+4844>, 0x55799ef9c132 <exec_byte_code+4979>,=
 0x55799ef9ced6 <exec_byte_code+8471>, 0x55799ef9d51d <exec_byte_code+10078=
>, 0x55799ef9ded4 <exec_byte_code+12565>, 0x55799ef9f5e2 <exec_byte_code+18=
467>, 0x55799ef9f66c <exec_byte_code+18605>, 0x55799ef9f3fa <exec_byte_code=
+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f723 <exec_byte_c=
ode+18788>, 0x55799ef9f7d4 <exec_byte_code+18965>, 0x55799ef9f3fa <exec_byt=
e_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exec_=
byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <ex=
ec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa =
<exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f9=
1f <exec_byte_code+19296> <repeats 64 times>}
        const_length =3D 8
        bytestr_length =3D 45
        vectorp =3D 0x7f8bd0fb6cd0
        quitcounter =3D 1 '\001'
        stack_items =3D 17
        sa_avail =3D 16203
        sa_count =3D 12
        alloc =3D 0x7ffcdcfa3330
        item_bytes =3D 136
        stack_base =3D 0x7ffcdcfa3330
        top =3D 0x7ffcdcfa3398
        stack_lim =3D 0x7ffcdcfa33b8
        bytestr_data =3D 0x7ffcdcfa33b8 "\301\001!\211@\001A\211@\001A\211@=
\001A\001\004\006\a\302\303\304\305\306 !!\b\"\002\203%"
        pc =3D 0x7ffcdcfa33d5 "\002\203%"
        count =3D 12
        result =3D 0x7ffcdcfa34d8
#31 =1B[34m0x000055799ef351a8=1B[m in =1B[33mfuncall_lambda=1B[m (fun=3D0x7=
f8bd0fb6c9d, nargs=3D1, arg_vector=3D0x7ffcdcfa3858) at =1B[32meval.c=1B[m:=
2998
        size =3D 5
        val =3D 0x2a123184e938
        syms_left =3D 0x406
        next =3D 0x7ffcdcfa37b8
        lexenv =3D 0x0
        count =3D 12
        i =3D 140724015872288
        optional =3D false
        rest =3D false
#32 =1B[34m0x000055799ef346fe=1B[m in =1B[33mFfuncall=1B[m (nargs=3D2, args=
=3D0x7ffcdcfa3850) at =1B[32meval.c=1B[m:2805
        fun =3D 0x7f8bd0fb6c9d
        original_fun =3D 0x2a12319e0a88
        funcar =3D 0x0
        numargs =3D 1
        val =3D 0x55799ef35fc5 <specbind+683>
        count =3D 11
#33 =1B[34m0x000055799ef9bb10=1B[m in =1B[33mexec_byte_code=1B[m (bytestr=
=3D0x7f8bd0fb76bc, vector=3D0x7f8bd0fb6c45, maxdepth=3D0x12, args_template=
=3D0x406, nargs=3D1, args=3D0x7ffcdcfa3e38) at =1B[32mbytecode.c=1B[m:633
        op =3D 1
        type =3D (unknown: 3707386160)
        targets =3D {0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f428 =
<exec_byte_code+18025>, 0x55799ef9f42a <exec_byte_code+18027>, 0x55799ef9f4=
2c <exec_byte_code+18029>, 0x55799ef9f42e <exec_byte_code+18031>, 0x55799ef=
9f42e <exec_byte_code+18031>, 0x55799ef9f4a5 <exec_byte_code+18150>, 0x5579=
9ef9f52e <exec_byte_code+18287>, 0x55799ef9b34b <exec_byte_code+1420>, 0x55=
799ef9b34d <exec_byte_code+1422>, 0x55799ef9b34f <exec_byte_code+1424>, 0x5=
5799ef9b351 <exec_byte_code+1426>, 0x55799ef9b353 <exec_byte_code+1428>, 0x=
55799ef9b353 <exec_byte_code+1428>, 0x55799ef9b35c <exec_byte_code+1437>, 0=
x55799ef9b308 <exec_byte_code+1353>, 0x55799ef9b78c <exec_byte_code+2509>, =
0x55799ef9b78e <exec_byte_code+2511>, 0x55799ef9b790 <exec_byte_code+2513>,=
 0x55799ef9b792 <exec_byte_code+2515>, 0x55799ef9b794 <exec_byte_code+2517>=
, 0x55799ef9b794 <exec_byte_code+2517>, 0x55799ef9b7de <exec_byte_code+2591=
>, 0x55799ef9b79d <exec_byte_code+2526>, 0x55799ef9b9e3 <exec_byte_code+310=
8>, 0x55799ef9b9e5 <exec_byte_code+3110>, 0x55799ef9b9e7 <exec_byte_code+31=
12>, 0x55799ef9b9e9 <exec_byte_code+3114>, 0x55799ef9b9eb <exec_byte_code+3=
116>, 0x55799ef9b9eb <exec_byte_code+3116>, 0x55799ef9b982 <exec_byte_code+=
3011>, 0x55799ef9b9a2 <exec_byte_code+3043>, 0x55799ef9bace <exec_byte_code=
+3343>, 0x55799ef9bad0 <exec_byte_code+3345>, 0x55799ef9bad2 <exec_byte_cod=
e+3347>, 0x55799ef9bad4 <exec_byte_code+3349>, 0x55799ef9bad6 <exec_byte_co=
de+3351>, 0x55799ef9bad6 <exec_byte_code+3351>, 0x55799ef9ba6d <exec_byte_c=
ode+3246>, 0x55799ef9ba8d <exec_byte_code+3278>, 0x55799ef9bbbc <exec_byte_=
code+3581>, 0x55799ef9bbbe <exec_byte_code+3583>, 0x55799ef9bbc0 <exec_byte=
_code+3585>, 0x55799ef9bbc2 <exec_byte_code+3587>, 0x55799ef9bbc4 <exec_byt=
e_code+3589>, 0x55799ef9bbc4 <exec_byte_code+3589>, 0x55799ef9bb5b <exec_by=
te_code+3484>, 0x55799ef9bb7b <exec_byte_code+3516>, 0x55799ef9c622 <exec_b=
yte_code+6243>, 0x55799ef9c4db <exec_byte_code+5916>, 0x55799ef9c4cf <exec_=
byte_code+5904>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exe=
c_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <=
exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9c8c=
8 <exec_byte_code+6921>, 0x55799ef9c9e5 <exec_byte_code+7206>, 0x55799ef9ca=
5a <exec_byte_code+7323>, 0x55799ef9cad2 <exec_byte_code+7443>, 0x55799ef9c=
b4c <exec_byte_code+7565>, 0x55799ef9b5c5 <exec_byte_code+2054>, 0x55799ef9=
b65e <exec_byte_code+2207>, 0x55799ef9cbe0 <exec_byte_code+7713>, 0x55799ef=
9b51b <exec_byte_code+1884>, 0x55799ef9b6e1 <exec_byte_code+2338>, 0x55799e=
f9cc60 <exec_byte_code+7841>, 0x55799ef9cce3 <exec_byte_code+7972>, 0x55799=
ef9cd40 <exec_byte_code+8065>, 0x55799ef9cdc3 <exec_byte_code+8196>, 0x5579=
9ef9ce47 <exec_byte_code+8328>, 0x55799ef9cf79 <exec_byte_code+8634>, 0x557=
99ef9cfd6 <exec_byte_code+8727>, 0x55799ef9d059 <exec_byte_code+8858>, 0x55=
799ef9d0ff <exec_byte_code+9024>, 0x55799ef9d15c <exec_byte_code+9117>, 0x5=
5799ef9d1b9 <exec_byte_code+9210>, 0x55799ef9d23c <exec_byte_code+9341>, 0x=
55799ef9d2bf <exec_byte_code+9472>, 0x55799ef9d342 <exec_byte_code+9603>, 0=
x55799ef9d3e8 <exec_byte_code+9769>, 0x55799ef9d44f <exec_byte_code+9872>, =
0x55799ef9d4b6 <exec_byte_code+9975>, 0x55799ef9d5c0 <exec_byte_code+10241>=
, 0x55799ef9d686 <exec_byte_code+10439>, 0x55799ef9d74c <exec_byte_code+106=
37>, 0x55799ef9d7d4 <exec_byte_code+10773>, 0x55799ef9d85c <exec_byte_code+=
10909>, 0x55799ef9d8e4 <exec_byte_code+11045>, 0x55799ef9d96c <exec_byte_co=
de+11181>, 0x55799ef9d9f4 <exec_byte_code+11317>, 0x55799ef9da5b <exec_byte=
_code+11420>, 0x55799ef9db22 <exec_byte_code+11619>, 0x55799ef9db89 <exec_b=
yte_code+11722>, 0x55799ef9dbf0 <exec_byte_code+11825>, 0x55799ef9dc57 <exe=
c_byte_code+11928>, 0x55799ef9dda8 <exec_byte_code+12265>, 0x55799ef9c304 <=
exec_byte_code+5445>, 0x55799ef9de18 <exec_byte_code+12377>, 0x55799ef9de75=
 <exec_byte_code+12470>, 0x55799ef9df77 <exec_byte_code+12728>, 0x55799ef9d=
ff2 <exec_byte_code+12851>, 0x55799ef9e062 <exec_byte_code+12963>, 0x55799e=
f9e0bf <exec_byte_code+13056>, 0x55799ef9e117 <exec_byte_code+13144>, 0x557=
99ef9e16f <exec_byte_code+13232>, 0x55799ef9e1cf <exec_byte_code+13328>, 0x=
55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e23c <exec_byte_code+13437>,=
 0x55799ef9e294 <exec_byte_code+13525>, 0x55799ef9e2ec <exec_byte_code+1361=
3>, 0x55799ef9e344 <exec_byte_code+13701>, 0x55799ef9e39c <exec_byte_code+1=
3789>, 0x55799ef9e3f4 <exec_byte_code+13877>, 0x55799ef9c304 <exec_byte_cod=
e+5445>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e451 <exec_byte_c=
ode+13970>, 0x55799ef9e4b8 <exec_byte_code+14073>, 0x55799ef9e515 <exec_byt=
e_code+14166>, 0x55799ef9e572 <exec_byte_code+14259>, 0x55799ef9e5f5 <exec_=
byte_code+14390>, 0x55799ef9e678 <exec_byte_code+14521>, 0x55799ef9e6d5 <ex=
ec_byte_code+14614>, 0x55799ef9e7f8 <exec_byte_code+14905>, 0x55799ef9e87b =
<exec_byte_code+15036>, 0x55799ef9e8fe <exec_byte_code+15167>, 0x55799ef9e9=
81 <exec_byte_code+15298>, 0x55799ef9e9d9 <exec_byte_code+15386>, 0x55799ef=
9f3fa <exec_byte_code+17979>, 0x55799ef9c217 <exec_byte_code+5208>, 0x55799=
ef9bc94 <exec_byte_code+3797>, 0x55799ef9b465 <exec_byte_code+1702>, 0x5579=
9ef9bd7f <exec_byte_code+4032>, 0x55799ef9be27 <exec_byte_code+4200>, 0x557=
99ef9becc <exec_byte_code+4365>, 0x55799ef9c1b9 <exec_byte_code+5114>, 0x55=
799ef9c1d1 <exec_byte_code+5138>, 0x55799ef9b91a <exec_byte_code+2907>, 0x5=
5799ef9c2c1 <exec_byte_code+5378>, 0x55799ef9c347 <exec_byte_code+5512>, 0x=
55799ef9c3f0 <exec_byte_code+5681>, 0x55799ef9c445 <exec_byte_code+5766>, 0=
x55799ef9c67a <exec_byte_code+6331>, 0x55799ef9c709 <exec_byte_code+6474>, =
0x55799ef9c7af <exec_byte_code+6640>, 0x55799ef9c82a <exec_byte_code+6763>,=
 0x55799ef9bc37 <exec_byte_code+3704>, 0x55799ef9ea36 <exec_byte_code+15479=
>, 0x55799ef9eadc <exec_byte_code+15645>, 0x55799ef9eb39 <exec_byte_code+15=
738>, 0x55799ef9eb96 <exec_byte_code+15831>, 0x55799ef9ebf3 <exec_byte_code=
+15924>, 0x55799ef9ec50 <exec_byte_code+16017>, 0x55799ef9ecd3 <exec_byte_c=
ode+16148>, 0x55799ef9ed56 <exec_byte_code+16279>, 0x55799ef9edd9 <exec_byt=
e_code+16410>, 0x55799ef9ee5c <exec_byte_code+16541>, 0x55799ef9ef8e <exec_=
byte_code+16847>, 0x55799ef9f011 <exec_byte_code+16978>, 0x55799ef9f08e <ex=
ec_byte_code+17103>, 0x55799ef9f0eb <exec_byte_code+17196>, 0x55799ef9f168 =
<exec_byte_code+17321>, 0x55799ef9f1e5 <exec_byte_code+17446>, 0x55799ef9f2=
42 <exec_byte_code+17539>, 0x55799ef9f29f <exec_byte_code+17632>, 0x55799ef=
9dcbe <exec_byte_code+12031>, 0x55799ef9dd25 <exec_byte_code+12134>, 0x5579=
9ef9f306 <exec_byte_code+17735>, 0x55799ef9f380 <exec_byte_code+17857>, 0x5=
5799ef9f3fa <exec_byte_code+17979>, 0x55799ef9bf71 <exec_byte_code+4530>, 0=
x55799ef9bf97 <exec_byte_code+4568>, 0x55799ef9c021 <exec_byte_code+4706>, =
0x55799ef9c0ab <exec_byte_code+4844>, 0x55799ef9c132 <exec_byte_code+4979>,=
 0x55799ef9ced6 <exec_byte_code+8471>, 0x55799ef9d51d <exec_byte_code+10078=
>, 0x55799ef9ded4 <exec_byte_code+12565>, 0x55799ef9f5e2 <exec_byte_code+18=
467>, 0x55799ef9f66c <exec_byte_code+18605>, 0x55799ef9f3fa <exec_byte_code=
+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f723 <exec_byte_c=
ode+18788>, 0x55799ef9f7d4 <exec_byte_code+18965>, 0x55799ef9f3fa <exec_byt=
e_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exec_=
byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <ex=
ec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa =
<exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f9=
1f <exec_byte_code+19296> <repeats 64 times>}
        const_length =3D 4
        bytestr_length =3D 29
        vectorp =3D 0x7f8bd0fb6c48
        quitcounter =3D 1 '\001'
        stack_items =3D 5
        sa_avail =3D 16315
        sa_count =3D 10
        alloc =3D 0x7ffcdcfa3840
        item_bytes =3D 40
        stack_base =3D 0x7ffcdcfa3840
        top =3D 0x7ffcdcfa3850
        stack_lim =3D 0x7ffcdcfa3868
        bytestr_data =3D 0x7ffcdcfa3868 "\b\204\b"
        pc =3D 0x7ffcdcfa3875 "\n)B\211A\t=3D\204\032"
        count =3D 10
        result =3D 0x8
#34 =1B[34m0x000055799ef351a8=1B[m in =1B[33mfuncall_lambda=1B[m (fun=3D0x7=
f8bd0fb6c0d, nargs=3D1, arg_vector=3D0x7ffcdcfa3e30) at =1B[32meval.c=1B[m:=
2998
        size =3D 6
        val =3D 0x7ffcdcfa3c18
        syms_left =3D 0x406
        next =3D 0x7ffcdcfa3c58
        lexenv =3D 0x1000000000
        count =3D 10
        i =3D 93980852704453
        optional =3D false
        rest =3D false
#35 =1B[34m0x000055799ef346fe=1B[m in =1B[33mFfuncall=1B[m (nargs=3D2, args=
=3D0x7ffcdcfa3e28) at =1B[32meval.c=1B[m:2805
        fun =3D 0x7f8bd0fb6c0d
        original_fun =3D 0x2a12319e09f8
        funcar =3D 0x0
        numargs =3D 1
        val =3D 0x55799ee0d43a <restore_kboard_configuration>
        count =3D 9
#36 =1B[34m0x000055799ef27144=1B[m in =1B[33mFfuncall_interactively=1B[m (n=
args=3D2, args=3D0x7ffcdcfa3e28) at =1B[32mcallint.c=1B[m:255
        speccount =3D 8
#37 =1B[34m0x000055799ef34a06=1B[m in =1B[33mfuncall_subr=1B[m (subr=3D0x55=
799f571f80 <Sfuncall_interactively>, numargs=3D2, args=3D0x7ffcdcfa3e28) at=
 =1B[32meval.c=1B[m:2856
#38 =1B[34m0x000055799ef346ba=1B[m in =1B[33mFfuncall=1B[m (nargs=3D3, args=
=3D0x7ffcdcfa3e20) at =1B[32meval.c=1B[m:2803
        fun =3D 0x55799f571f85 <Sfuncall_interactively+5>
        original_fun =3D 0x6d50
        funcar =3D 0x0
        numargs =3D 2
        val =3D 0x55799ef35fc5 <specbind+683>
        count =3D 7
#39 =1B[34m0x000055799ef296f4=1B[m in =1B[33mFcall_interactively=1B[m (func=
tion=3D0x2a12319e09f8, record_flag=3D0x0, keys=3D0x55799fbe1875) at =1B[32m=
callint.c=1B[m:784
        speccount =3D 6
        arg_from_tty =3D false
        key_count =3D 2
        record_then_fail =3D false
        save_this_command =3D 0x2a12319e09f8
        save_this_original_command =3D 0x2a12319e09f8
        save_real_this_command =3D 0x2a12319e09f8
        save_last_command =3D 0x2a123193f338
        prefix_arg =3D 0x0
        enable =3D 0x0
        up_event =3D 0x0
        form =3D 0x55799fc28b33
        specs =3D 0x7f8bd0e12264
        sa_avail =3D 16310
        sa_count =3D 6
        string_len =3D 1
        string =3D 0x7ffcdcfa3e70 "P"
        string_end =3D 0x7ffcdcfa3e71 ""
        next_event =3D 2
        nargs =3D 3
        args =3D 0x7ffcdcfa3e20
        visargs =3D 0x7ffcdcfa3e38
        varies =3D 0x7ffcdcfa3e50 ""
        tem =3D 0x7ffcdcfa3e71 ""
        val =3D 0xb00000000
#40 =1B[34m0x000055799ef34b57=1B[m in =1B[33mfuncall_subr=1B[m (subr=3D0x55=
799f571fc0 <Scall_interactively>, numargs=3D3, args=3D0x7ffcdcfa4200) at =
=1B[32meval.c=1B[m:2881
        internal_argbuf =3D {0x2a12319e09f8, 0x0, 0x55799f5d61e0 <lispsym>,=
 0x1064779100, 0x55799f571fc0 <Scall_interactively>, 0x7ffcdcfa4138, 0x5579=
9ef2a36a <PSEUDOVECTORP+57>, 0x1000000000}
        internal_args =3D 0x7ffcdcfa4200
#41 =1B[34m0x000055799ef346ba=1B[m in =1B[33mFfuncall=1B[m (nargs=3D4, args=
=3D0x7ffcdcfa41f8) at =1B[32meval.c=1B[m:2803
        fun =3D 0x55799f571fc5 <Scall_interactively+5>
        original_fun =3D 0x2a123185c9d0
        funcar =3D 0x7ffcdcfa41b0
        numargs =3D 3
        val =3D 0x0
        count =3D 5
#42 =1B[34m0x000055799ef9bb10=1B[m in =1B[33mexec_byte_code=1B[m (bytestr=
=3D0x7f8bd0fa7dcc, vector=3D0x7f8bd0fa78f5, maxdepth=3D0x36, args_template=
=3D0x1006, nargs=3D1, args=3D0x7ffcdcfa4740) at =1B[32mbytecode.c=1B[m:633
        op =3D 3
        type =3D (CONDITION_CASE | unknown: 3509350700)
        targets =3D {0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f428 =
<exec_byte_code+18025>, 0x55799ef9f42a <exec_byte_code+18027>, 0x55799ef9f4=
2c <exec_byte_code+18029>, 0x55799ef9f42e <exec_byte_code+18031>, 0x55799ef=
9f42e <exec_byte_code+18031>, 0x55799ef9f4a5 <exec_byte_code+18150>, 0x5579=
9ef9f52e <exec_byte_code+18287>, 0x55799ef9b34b <exec_byte_code+1420>, 0x55=
799ef9b34d <exec_byte_code+1422>, 0x55799ef9b34f <exec_byte_code+1424>, 0x5=
5799ef9b351 <exec_byte_code+1426>, 0x55799ef9b353 <exec_byte_code+1428>, 0x=
55799ef9b353 <exec_byte_code+1428>, 0x55799ef9b35c <exec_byte_code+1437>, 0=
x55799ef9b308 <exec_byte_code+1353>, 0x55799ef9b78c <exec_byte_code+2509>, =
0x55799ef9b78e <exec_byte_code+2511>, 0x55799ef9b790 <exec_byte_code+2513>,=
 0x55799ef9b792 <exec_byte_code+2515>, 0x55799ef9b794 <exec_byte_code+2517>=
, 0x55799ef9b794 <exec_byte_code+2517>, 0x55799ef9b7de <exec_byte_code+2591=
>, 0x55799ef9b79d <exec_byte_code+2526>, 0x55799ef9b9e3 <exec_byte_code+310=
8>, 0x55799ef9b9e5 <exec_byte_code+3110>, 0x55799ef9b9e7 <exec_byte_code+31=
12>, 0x55799ef9b9e9 <exec_byte_code+3114>, 0x55799ef9b9eb <exec_byte_code+3=
116>, 0x55799ef9b9eb <exec_byte_code+3116>, 0x55799ef9b982 <exec_byte_code+=
3011>, 0x55799ef9b9a2 <exec_byte_code+3043>, 0x55799ef9bace <exec_byte_code=
+3343>, 0x55799ef9bad0 <exec_byte_code+3345>, 0x55799ef9bad2 <exec_byte_cod=
e+3347>, 0x55799ef9bad4 <exec_byte_code+3349>, 0x55799ef9bad6 <exec_byte_co=
de+3351>, 0x55799ef9bad6 <exec_byte_code+3351>, 0x55799ef9ba6d <exec_byte_c=
ode+3246>, 0x55799ef9ba8d <exec_byte_code+3278>, 0x55799ef9bbbc <exec_byte_=
code+3581>, 0x55799ef9bbbe <exec_byte_code+3583>, 0x55799ef9bbc0 <exec_byte=
_code+3585>, 0x55799ef9bbc2 <exec_byte_code+3587>, 0x55799ef9bbc4 <exec_byt=
e_code+3589>, 0x55799ef9bbc4 <exec_byte_code+3589>, 0x55799ef9bb5b <exec_by=
te_code+3484>, 0x55799ef9bb7b <exec_byte_code+3516>, 0x55799ef9c622 <exec_b=
yte_code+6243>, 0x55799ef9c4db <exec_byte_code+5916>, 0x55799ef9c4cf <exec_=
byte_code+5904>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exe=
c_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <=
exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9c8c=
8 <exec_byte_code+6921>, 0x55799ef9c9e5 <exec_byte_code+7206>, 0x55799ef9ca=
5a <exec_byte_code+7323>, 0x55799ef9cad2 <exec_byte_code+7443>, 0x55799ef9c=
b4c <exec_byte_code+7565>, 0x55799ef9b5c5 <exec_byte_code+2054>, 0x55799ef9=
b65e <exec_byte_code+2207>, 0x55799ef9cbe0 <exec_byte_code+7713>, 0x55799ef=
9b51b <exec_byte_code+1884>, 0x55799ef9b6e1 <exec_byte_code+2338>, 0x55799e=
f9cc60 <exec_byte_code+7841>, 0x55799ef9cce3 <exec_byte_code+7972>, 0x55799=
ef9cd40 <exec_byte_code+8065>, 0x55799ef9cdc3 <exec_byte_code+8196>, 0x5579=
9ef9ce47 <exec_byte_code+8328>, 0x55799ef9cf79 <exec_byte_code+8634>, 0x557=
99ef9cfd6 <exec_byte_code+8727>, 0x55799ef9d059 <exec_byte_code+8858>, 0x55=
799ef9d0ff <exec_byte_code+9024>, 0x55799ef9d15c <exec_byte_code+9117>, 0x5=
5799ef9d1b9 <exec_byte_code+9210>, 0x55799ef9d23c <exec_byte_code+9341>, 0x=
55799ef9d2bf <exec_byte_code+9472>, 0x55799ef9d342 <exec_byte_code+9603>, 0=
x55799ef9d3e8 <exec_byte_code+9769>, 0x55799ef9d44f <exec_byte_code+9872>, =
0x55799ef9d4b6 <exec_byte_code+9975>, 0x55799ef9d5c0 <exec_byte_code+10241>=
, 0x55799ef9d686 <exec_byte_code+10439>, 0x55799ef9d74c <exec_byte_code+106=
37>, 0x55799ef9d7d4 <exec_byte_code+10773>, 0x55799ef9d85c <exec_byte_code+=
10909>, 0x55799ef9d8e4 <exec_byte_code+11045>, 0x55799ef9d96c <exec_byte_co=
de+11181>, 0x55799ef9d9f4 <exec_byte_code+11317>, 0x55799ef9da5b <exec_byte=
_code+11420>, 0x55799ef9db22 <exec_byte_code+11619>, 0x55799ef9db89 <exec_b=
yte_code+11722>, 0x55799ef9dbf0 <exec_byte_code+11825>, 0x55799ef9dc57 <exe=
c_byte_code+11928>, 0x55799ef9dda8 <exec_byte_code+12265>, 0x55799ef9c304 <=
exec_byte_code+5445>, 0x55799ef9de18 <exec_byte_code+12377>, 0x55799ef9de75=
 <exec_byte_code+12470>, 0x55799ef9df77 <exec_byte_code+12728>, 0x55799ef9d=
ff2 <exec_byte_code+12851>, 0x55799ef9e062 <exec_byte_code+12963>, 0x55799e=
f9e0bf <exec_byte_code+13056>, 0x55799ef9e117 <exec_byte_code+13144>, 0x557=
99ef9e16f <exec_byte_code+13232>, 0x55799ef9e1cf <exec_byte_code+13328>, 0x=
55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e23c <exec_byte_code+13437>,=
 0x55799ef9e294 <exec_byte_code+13525>, 0x55799ef9e2ec <exec_byte_code+1361=
3>, 0x55799ef9e344 <exec_byte_code+13701>, 0x55799ef9e39c <exec_byte_code+1=
3789>, 0x55799ef9e3f4 <exec_byte_code+13877>, 0x55799ef9c304 <exec_byte_cod=
e+5445>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9e451 <exec_byte_c=
ode+13970>, 0x55799ef9e4b8 <exec_byte_code+14073>, 0x55799ef9e515 <exec_byt=
e_code+14166>, 0x55799ef9e572 <exec_byte_code+14259>, 0x55799ef9e5f5 <exec_=
byte_code+14390>, 0x55799ef9e678 <exec_byte_code+14521>, 0x55799ef9e6d5 <ex=
ec_byte_code+14614>, 0x55799ef9e7f8 <exec_byte_code+14905>, 0x55799ef9e87b =
<exec_byte_code+15036>, 0x55799ef9e8fe <exec_byte_code+15167>, 0x55799ef9e9=
81 <exec_byte_code+15298>, 0x55799ef9e9d9 <exec_byte_code+15386>, 0x55799ef=
9f3fa <exec_byte_code+17979>, 0x55799ef9c217 <exec_byte_code+5208>, 0x55799=
ef9bc94 <exec_byte_code+3797>, 0x55799ef9b465 <exec_byte_code+1702>, 0x5579=
9ef9bd7f <exec_byte_code+4032>, 0x55799ef9be27 <exec_byte_code+4200>, 0x557=
99ef9becc <exec_byte_code+4365>, 0x55799ef9c1b9 <exec_byte_code+5114>, 0x55=
799ef9c1d1 <exec_byte_code+5138>, 0x55799ef9b91a <exec_byte_code+2907>, 0x5=
5799ef9c2c1 <exec_byte_code+5378>, 0x55799ef9c347 <exec_byte_code+5512>, 0x=
55799ef9c3f0 <exec_byte_code+5681>, 0x55799ef9c445 <exec_byte_code+5766>, 0=
x55799ef9c67a <exec_byte_code+6331>, 0x55799ef9c709 <exec_byte_code+6474>, =
0x55799ef9c7af <exec_byte_code+6640>, 0x55799ef9c82a <exec_byte_code+6763>,=
 0x55799ef9bc37 <exec_byte_code+3704>, 0x55799ef9ea36 <exec_byte_code+15479=
>, 0x55799ef9eadc <exec_byte_code+15645>, 0x55799ef9eb39 <exec_byte_code+15=
738>, 0x55799ef9eb96 <exec_byte_code+15831>, 0x55799ef9ebf3 <exec_byte_code=
+15924>, 0x55799ef9ec50 <exec_byte_code+16017>, 0x55799ef9ecd3 <exec_byte_c=
ode+16148>, 0x55799ef9ed56 <exec_byte_code+16279>, 0x55799ef9edd9 <exec_byt=
e_code+16410>, 0x55799ef9ee5c <exec_byte_code+16541>, 0x55799ef9ef8e <exec_=
byte_code+16847>, 0x55799ef9f011 <exec_byte_code+16978>, 0x55799ef9f08e <ex=
ec_byte_code+17103>, 0x55799ef9f0eb <exec_byte_code+17196>, 0x55799ef9f168 =
<exec_byte_code+17321>, 0x55799ef9f1e5 <exec_byte_code+17446>, 0x55799ef9f2=
42 <exec_byte_code+17539>, 0x55799ef9f29f <exec_byte_code+17632>, 0x55799ef=
9dcbe <exec_byte_code+12031>, 0x55799ef9dd25 <exec_byte_code+12134>, 0x5579=
9ef9f306 <exec_byte_code+17735>, 0x55799ef9f380 <exec_byte_code+17857>, 0x5=
5799ef9f3fa <exec_byte_code+17979>, 0x55799ef9bf71 <exec_byte_code+4530>, 0=
x55799ef9bf97 <exec_byte_code+4568>, 0x55799ef9c021 <exec_byte_code+4706>, =
0x55799ef9c0ab <exec_byte_code+4844>, 0x55799ef9c132 <exec_byte_code+4979>,=
 0x55799ef9ced6 <exec_byte_code+8471>, 0x55799ef9d51d <exec_byte_code+10078=
>, 0x55799ef9ded4 <exec_byte_code+12565>, 0x55799ef9f5e2 <exec_byte_code+18=
467>, 0x55799ef9f66c <exec_byte_code+18605>, 0x55799ef9f3fa <exec_byte_code=
+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f723 <exec_byte_c=
ode+18788>, 0x55799ef9f7d4 <exec_byte_code+18965>, 0x55799ef9f3fa <exec_byt=
e_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <exec_=
byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa <ex=
ec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f3fa =
<exec_byte_code+17979>, 0x55799ef9f3fa <exec_byte_code+17979>, 0x55799ef9f9=
1f <exec_byte_code+19296> <repeats 64 times>}
        const_length =3D 24
        bytestr_length =3D 144
        vectorp =3D 0x7f8bd0fa78f8
        quitcounter =3D 1 '\001'
        stack_items =3D 14
        sa_avail =3D 16128
        sa_count =3D 5
        alloc =3D 0x7ffcdcfa41c0
        item_bytes =3D 112
        stack_base =3D 0x7ffcdcfa41c0
        top =3D 0x7ffcdcfa41f8
        stack_lim =3D 0x7ffcdcfa4230
        bytestr_data =3D 0x7ffcdcfa4230 "\304\020\211?\205\023"
        pc =3D 0x7ffcdcfa4296 "\006\006\071\203\215"
        count =3D 5
        result =3D 0x7ffcdcfa44b0
#43 =1B[34m0x000055799ef351a8=1B[m in =1B[33mfuncall_lambda=1B[m (fun=3D0x7=
f8bd0fa78c5, nargs=3D1, arg_vector=3D0x7ffcdcfa4738) at =1B[32meval.c=1B[m:=
2998
        size =3D 5
        val =3D 0x55799ef351a8 <funcall_lambda+552>
        syms_left =3D 0x1006
        next =3D 0x7ffcdcfa4698
        lexenv =3D 0x7f8bd12c70fd
        count =3D 5
        i =3D 93980853101024
        optional =3D false
        rest =3D false
#44 =1B[34m0x000055799ef346fe=1B[m in =1B[33mFfuncall=1B[m (nargs=3D2, args=
=3D0x7ffcdcfa4730) at =1B[32meval.c=1B[m:2805
        fun =3D 0x7f8bd0fa78c5
        original_fun =3D 0x42c0
        funcar =3D 0x0
        numargs =3D 1
        val =3D 0x55799ef3487e <Ffuncall+835>
        count =3D 4
#45 =1B[34m0x000055799ef33f55=1B[m in =1B[33mcall1=1B[m (fn=3D0x42c0, arg1=
=3D0x2a12319e09f8) at =1B[32meval.c=1B[m:2656
#46 =1B[34m0x000055799ee0e541=1B[m in =1B[33mcommand_loop_1=1B[m () at =1B[=
32mkeyboard.c=1B[m:1458
        scount =3D 3
        cmd =3D 0x2a12319e09f8
        keybuf =3D {0x62, 0x16, 0x2a123193f338, 0x7f8bd0e09da4, 0x55799fc28=
e33, 0x2a1231cf9b48, 0x55799f5d61e0 <lispsym>, 0x0, 0x0, 0x7ffcdcfa4800, 0x=
55799ee06bef <builtin_lisp_symbol+48>, 0x64779100, 0x55799f5d61e0 <lispsym>=
, 0x0, 0x55799f5d61e0 <lispsym>, 0x0, 0x0, 0x7ffcdcfa4840, 0x55799ef29b67 <=
builtin_lisp_symbol+48>, 0x9ee0d61b, 0x7ffcdcfa4880, 0x55799ef3116f <push_h=
andler_nosignal+220>, 0x19ef29b67, 0x90, 0x0, 0x55799f6771c0, 0x0, 0x2, 0x7=
ffcdcfa48b0, 0x55799ef31078 <push_handler+32>}
        i =3D 2
        prev_modiff =3D 3
        prev_buffer =3D 0x7f8bd0cf16f0
        already_adjusted =3D false
#47 =1B[34m0x000055799ef30d6e=1B[m in =1B[33minternal_condition_case=1B[m (=
bfun=3D0x55799ee0dd15 <command_loop_1>, handlers=3D0x90, hfun=3D0x55799ee0d=
488 <cmd_error>) at =1B[32meval.c=1B[m:1355
        val =3D 0x300000000
        c =3D 0x55799f6771c0
#48 =1B[34m0x000055799ee0d9da=1B[m in =1B[33mcommand_loop_2=1B[m (ignore=3D=
0x0) at =1B[32mkeyboard.c=1B[m:1091
        val =3D 0x2
#49 =1B[34m0x000055799ef305df=1B[m in =1B[33minternal_catch=1B[m (tag=3D0xd=
1a0, func=3D0x55799ee0d9ad <command_loop_2>, arg=3D0x0) at =1B[32meval.c=1B=
[m:1116
        val =3D 0x55799ee06bef <builtin_lisp_symbol+48>
        c =3D 0x55799f677090
#50 =1B[34m0x000055799ee0d978=1B[m in =1B[33mcommand_loop=1B[m () at =1B[32=
mkeyboard.c=1B[m:1070
#51 =1B[34m0x000055799ee0d057=1B[m in =1B[33mrecursive_edit_1=1B[m () at =
=1B[32mkeyboard.c=1B[m:714
        count =3D 1
        val =3D 0x55799ef36045 <record_unwind_protect+114>
#52 =1B[34m0x000055799ee0d1db=1B[m in =1B[33mFrecursive_edit=1B[m () at =1B=
[32mkeyboard.c=1B[m:786
        count =3D 0
        buffer =3D 0x0
#53 =1B[34m0x000055799ee05639=1B[m in =1B[33mmain=1B[m (argc=3D3, argv=3D0x=
7ffcdcfa4c18) at =1B[32memacs.c=1B[m:2086
        stack_bottom_variable =3D 0x32
        do_initial_setlocale =3D true
        no_loadup =3D false
        junk =3D 0x0
        dname_arg =3D 0x0
        ch_to_dir =3D 0x0
        original_pwd =3D 0x0
        dump_mode =3D 0x0
        skip_args =3D 0
        temacs =3D 0x0
        attempt_load_pdump =3D true
        rlim =3D {rlim_cur =3D 10022912, rlim_max =3D 18446744073709551615}
        sockfd =3D -1

--=-=-=
Content-Type: text/plain


Below data is generated from a "emacs -Q" session.

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.10)
 of 2019-09-07 built on leonard-xps13
Repository revision: 01a04880ca7469626a03ea10481d60c5ddec4663
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description: Gentoo/Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --prefix /home/leonard/local 'CFLAGS=-O0 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS GLIB NOTIFY INOTIFY
ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_COLLATE: C
  value of $LC_CTYPE: zh_CN.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
china-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 44426 7555)
 (symbols 48 5977 1)
 (strings 32 15398 1993)
 (string-bytes 1 503356)
 (vectors 16 10328)
 (vector-slots 8 182199 7428)
 (floats 8 17 43)
 (intervals 56 199 0)
 (buffers 992 11))

--=-=-=--




Acknowledgement sent to Leonard Lausen <leonard@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37331; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.